$Title Aggregation Programme for GTAP Database SAMs
$OFFSYMLIST OFFSYMXREF OFFUPPER

*Generated at 12/04/2012 14:44:23 for Scott by Aggr.xls


$ontext

Scott McDonald
Dept of Economics & Strategy, Oxford Brookes University

First version Dec 2004
This version April 2012
This programme aggregates a SAM representation of GTAP version 8

This file has been generated with sets and mappings defined for a specific aggregation.

Input and Ouput are via GDX

$offtext

*###################### SET DECLARATION #############################


* read in sets for base data

SETS

      SS              SAM accounts

      MCC(SS)         Imported Commodities
      DCC(SS)         Domestic Commodities

      AA(SS)          Activities

      FF(SS)          Factors

      TMMTAX(SS)      Trade taxes
      TEETAX(SS)      Export taxes
      SMMTAX(SS)      Sales Taxes on imported goods and services
      SDDTAX(SS)      Sales Taxes on domestic goods and services
      FFTAX(SS)       Taxes on Factors

      OTPPMARG(SS)    Other trade and transport costs
      WTPPMARG(SS)    Water trade and transport costs
      ATPPMARG(SS)    Air trade and transport costs
      VSTTMARG(SS)    Exports of trade and transport services

      WW(SS)          Rest of the World

      II(SS)          Investment

      KK              Regions

* Declaring other sets

      SSN(SS)         SAM accounts excluding TOTAL
      row(ss)         SAM accounts excluding TOTAL


  ;

* Setting up ALIASES

 ALIAS(SS,SSP) ;
 ALIAS(SSN,SSNP) ;
 ALIAS(MCC,MCCP) ;
 ALIAS(DCC,DCCP) ;
 ALIAS(AA,AAP) ;
 ALIAS(FF,FFP,ENDOW_COMM) ;
 ALIAS(TMMTAX,TMMTAXP) ;
 ALIAS(TEETAX,TEETAXP) ;
 ALIAS(SMMTAX,SMMTAXP) ;
 ALIAS(SDDTAX,SDDTAXP) ;
 ALIAS(FFTAX,FFTAXP) ;
 ALIAS(OTPPMARG,OTPPMARGP) ;
 ALIAS(WTPPMARG,WTPPMARGP) ;
 ALIAS(ATPPMARG,ATPPMARGP) ;
 ALIAS(VSTTMARG,VSTTMARGP) ;
 ALIAS(WW,WWP) ;
 ALIAS(KK,KKP,REGP) ;
 ALIAS(row,coll) ;


*## Global SAM sets are defined here

SET
        SS      Global SAM         /
               mmpdr  Paddy rice
               mmwht  Wheat
               mmgro  Cereal grains nec
               mmv_f  Vegetables fruit nuts
               mmosd  Oil seeds
               mmc_b  Sugar cane sugar beet
               mmpfb  Plant-based fibers
               mmocr  Crops nec
               mmctl  Cattle sheep goats horses
               mmoap  Animal products nec
               mmrmk  Raw milk
               mmwol  Wool silk-worm cocoons
               mmfrs  Forestry
               mmfsh  Fishing
               mmcoa  Coal
               mmoil  Oil
               mmgas  Gas
               mmomn  Minerals nec
               mmcmt  Meat: cattle sheep goats horse
               mmomt  Meat products nec
               mmvol  Vegetable oils and fats
               mmmil  Dairy products
               mmpcr  Processed rice
               mmsgr  Sugar
               mmofd  Food products nec
               mmb_t  Beverages and tobacco products
               mmtex  Textiles
               mmwap  Wearing apparel
               mmlea  Leather products
               mmlum  Wood products
               mmppp  Paper products publishing
               mmp_c  Petroleum coal products
               mmcrp  Chemical rubber plastic prods
               mmnmm  Mineral products nec
               mmi_s  Ferrous metals
               mmnfm  Metals nec
               mmfmp  Metal products
               mmmvh  Motor vehicles and parts
               mmotn  Transport equipment nec
               mmele  Electronic equipment
               mmome  Machinery and equipment nec
               mmomf  Manufactures nec
               mmely  Electricity
               mmgdt  Gas manufacture distribution
               mmwtr  Water
               mmcns  Construction
               mmtrd  Trade
               mmotp  Transport nec
               mmwtp  Sea transport
               mmatp  Air transport
               mmcmn  Communication
               mmofi  Financial services nec
               mmisr  Insurance
               mmobs  Business services nec
               mmros  Recreation and other services
               mmosg  PubAdmin Defence Health Educat
               mmdwe  Dwellings
               ddpdr  Paddy rice
               ddwht  Wheat
               ddgro  Cereal grains nec
               ddv_f  Vegetables fruit nuts
               ddosd  Oil seeds
               ddc_b  Sugar cane sugar beet
               ddpfb  Plant-based fibers
               ddocr  Crops nec
               ddctl  Cattle sheep goats horses
               ddoap  Animal products nec
               ddrmk  Raw milk
               ddwol  Wool silk-worm cocoons
               ddfrs  Forestry
               ddfsh  Fishing
               ddcoa  Coal
               ddoil  Oil
               ddgas  Gas
               ddomn  Minerals nec
               ddcmt  Meat: cattle sheep goats horse
               ddomt  Meat products nec
               ddvol  Vegetable oils and fats
               ddmil  Dairy products
               ddpcr  Processed rice
               ddsgr  Sugar
               ddofd  Food products nec
               ddb_t  Beverages and tobacco products
               ddtex  Textiles
               ddwap  Wearing apparel
               ddlea  Leather products
               ddlum  Wood products
               ddppp  Paper products publishing
               ddp_c  Petroleum coal products
               ddcrp  Chemical rubber plastic prods
               ddnmm  Mineral products nec
               ddi_s  Ferrous metals
               ddnfm  Metals nec
               ddfmp  Metal products
               ddmvh  Motor vehicles and parts
               ddotn  Transport equipment nec
               ddele  Electronic equipment
               ddome  Machinery and equipment nec
               ddomf  Manufactures nec
               ddely  Electricity
               ddgdt  Gas manufacture distribution
               ddwtr  Water
               ddcns  Construction
               ddtrd  Trade
               ddotp  Transport nec
               ddwtp  Sea transport
               ddatp  Air transport
               ddcmn  Communication
               ddofi  Financial services nec
               ddisr  Insurance
               ddobs  Business services nec
               ddros  Recreation and other services
               ddosg  PubAdmin Defence Health Educat
               dddwe  Dwellings
               aapdr  Paddy rice
               aawht  Wheat
               aagro  Cereal grains nec
               aav_f  Vegetables fruit nuts
               aaosd  Oil seeds
               aac_b  Sugar cane sugar beet
               aapfb  Plant-based fibers
               aaocr  Crops nec
               aactl  Cattle sheep goats horses
               aaoap  Animal products nec
               aarmk  Raw milk
               aawol  Wool silk-worm cocoons
               aafrs  Forestry
               aafsh  Fishing
               aacoa  Coal
               aaoil  Oil
               aagas  Gas
               aaomn  Minerals nec
               aacmt  Meat: cattle sheep goats horse
               aaomt  Meat products nec
               aavol  Vegetable oils and fats
               aamil  Dairy products
               aapcr  Processed rice
               aasgr  Sugar
               aaofd  Food products nec
               aab_t  Beverages and tobacco products
               aatex  Textiles
               aawap  Wearing apparel
               aalea  Leather products
               aalum  Wood products
               aappp  Paper products publishing
               aap_c  Petroleum coal products
               aacrp  Chemical rubber plastic prods
               aanmm  Mineral products nec
               aai_s  Ferrous metals
               aanfm  Metals nec
               aafmp  Metal products
               aamvh  Motor vehicles and parts
               aaotn  Transport equipment nec
               aaele  Electronic equipment
               aaome  Machinery and equipment nec
               aaomf  Manufactures nec
               aaely  Electricity
               aagdt  Gas manufacture distribution
               aawtr  Water
               aacns  Construction
               aatrd  Trade
               aaotp  Transport nec
               aawtp  Sea transport
               aaatp  Air transport
               aacmn  Communication
               aaofi  Financial services nec
               aaisr  Insurance
               aaobs  Business services nec
               aaros  Recreation and other services
               aaosg  PubAdmin Defence Health Educat
               aadwe  Dwellings
              ffLand  Land
           ffUnSkLab  Unskilled labour
             ffSkLab  Skilled labour
           ffCapital  Capital
            ffNatRes  Natural Resources
              tmmaus  Australia
              tmmnzl  New Zealand
              tmmxoc  Rest of Oceania
              tmmchn  China
              tmmhkg  Hong Kong
              tmmjpn  Japan
              tmmkor  Korea
              tmmmng  Mongolia
              tmmtwn  Taiwan
              tmmxea  Rest of East Asia
              tmmkhm  Cambodia
              tmmidn  Indonesia
              tmmlao  Lao People's Democratic Republ
              tmmmys  Malaysia
              tmmphl  Philippines
              tmmsgp  Singapore
              tmmtha  Thailand
              tmmvnm  Viet Nam
              tmmxse  Rest of Southeast Asia
              tmmbgd  Bangladesh
              tmmind  India
              tmmnpl  Nepal
              tmmpak  Pakistan
              tmmlka  Sri Lanka
              tmmxsa  Rest of South Asia
              tmmcan  Canada
              tmmusa  United States of America
              tmmmex  Mexico
              tmmxna  Rest of North America
              tmmarg  Argentina
              tmmbol  Bolivia
              tmmbra  Brazil
              tmmchl  Chile
              tmmcol  Colombia
              tmmecu  Ecuador
              tmmpry  Paraguay
              tmmper  Peru
              tmmury  Uruguay
              tmmven  Venezuela
              tmmxsm  Rest of South America
              tmmcri  Costa Rica
              tmmgtm  Guatemala
              tmmhnd  Honduras
              tmmnic  Nicaragua
              tmmpan  Panama
              tmmslv  El Salvador
              tmmxca  Rest of Central America
              tmmxcb  Caribbean
              tmmaut  Austria
              tmmbel  Belgium
              tmmcyp  Cyprus
              tmmcze  Czech Republic
              tmmdnk  Denmark
              tmmest  Estonia
              tmmfin  Finland
              tmmfra  France
              tmmdeu  Germany
              tmmgrc  Greece
              tmmhun  Hungary
              tmmirl  Ireland
              tmmita  Italy
              tmmlva  Latvia
              tmmltu  Lithuania
              tmmlux  Luxembourg
              tmmmlt  Malta
              tmmnld  Netherlands
              tmmpol  Poland
              tmmprt  Portugal
              tmmsvk  Slovakia
              tmmsvn  Slovenia
              tmmesp  Spain
              tmmswe  Sweden
              tmmgbr  United Kingdom
              tmmche  Switzerland
              tmmnor  Norway
              tmmxef  Rest of EFTA
              tmmalb  Albania
              tmmbgr  Bulgaria
              tmmblr  Belarus
              tmmhrv  Croatia
              tmmrou  Romania
              tmmrus  Russian Federation
              tmmukr  Ukraine
              tmmxee  Rest of Eastern Europe
              tmmxer  Rest of Europe
              tmmkaz  Kazakhstan
              tmmkgz  Kyrgyztan
              tmmxsu  Rest of Former Soviet Union
              tmmarm  Armenia
              tmmaze  Azerbaijan
              tmmgeo  Georgia
              tmmbhr  Bahrain
              tmmirn  Iran Islamic Republic of
              tmmisr  Israel
              tmmkwt  Kuwait
              tmmomn  Oman
              tmmqat  Qatar
              tmmsau  Saudi Arabia
              tmmtur  Turkey
              tmmare  United Arab Emirates
              tmmxws  Rest of Western Asia
              tmmegy  Egypt
              tmmmar  Morocco
              tmmtun  Tunisia
              tmmxnf  Rest of North Africa
              tmmcmr  Cameroon
              tmmciv  Cote d'Ivoire
              tmmgha  Ghana
              tmmnga  Nigeria
              tmmsen  Senegal
              tmmxwf  Rest of Western Africa
              tmmxcf  Central Africa
              tmmxac  South Central Africa
              tmmeth  Ethiopia
              tmmken  Kenya
              tmmmdg  Madagascar
              tmmmwi  Malawi
              tmmmus  Mauritius
              tmmmoz  Mozambique
              tmmtza  Tanzania
              tmmuga  Uganda
              tmmzmb  Zambia
              tmmzwe  Zimbabwe
              tmmxec  Rest of Eastern Africa
              tmmbwa  Botswana
              tmmnam  Namibia
              tmmzaf  South Africa
              tmmxsc  Rest of South African Customs
              tmmxtw  Rest of the World
              teeaus  Australia
              teenzl  New Zealand
              teexoc  Rest of Oceania
              teechn  China
              teehkg  Hong Kong
              teejpn  Japan
              teekor  Korea
              teemng  Mongolia
              teetwn  Taiwan
              teexea  Rest of East Asia
              teekhm  Cambodia
              teeidn  Indonesia
              teelao  Lao People's Democratic Republ
              teemys  Malaysia
              teephl  Philippines
              teesgp  Singapore
              teetha  Thailand
              teevnm  Viet Nam
              teexse  Rest of Southeast Asia
              teebgd  Bangladesh
              teeind  India
              teenpl  Nepal
              teepak  Pakistan
              teelka  Sri Lanka
              teexsa  Rest of South Asia
              teecan  Canada
              teeusa  United States of America
              teemex  Mexico
              teexna  Rest of North America
              teearg  Argentina
              teebol  Bolivia
              teebra  Brazil
              teechl  Chile
              teecol  Colombia
              teeecu  Ecuador
              teepry  Paraguay
              teeper  Peru
              teeury  Uruguay
              teeven  Venezuela
              teexsm  Rest of South America
              teecri  Costa Rica
              teegtm  Guatemala
              teehnd  Honduras
              teenic  Nicaragua
              teepan  Panama
              teeslv  El Salvador
              teexca  Rest of Central America
              teexcb  Caribbean
              teeaut  Austria
              teebel  Belgium
              teecyp  Cyprus
              teecze  Czech Republic
              teednk  Denmark
              teeest  Estonia
              teefin  Finland
              teefra  France
              teedeu  Germany
              teegrc  Greece
              teehun  Hungary
              teeirl  Ireland
              teeita  Italy
              teelva  Latvia
              teeltu  Lithuania
              teelux  Luxembourg
              teemlt  Malta
              teenld  Netherlands
              teepol  Poland
              teeprt  Portugal
              teesvk  Slovakia
              teesvn  Slovenia
              teeesp  Spain
              teeswe  Sweden
              teegbr  United Kingdom
              teeche  Switzerland
              teenor  Norway
              teexef  Rest of EFTA
              teealb  Albania
              teebgr  Bulgaria
              teeblr  Belarus
              teehrv  Croatia
              teerou  Romania
              teerus  Russian Federation
              teeukr  Ukraine
              teexee  Rest of Eastern Europe
              teexer  Rest of Europe
              teekaz  Kazakhstan
              teekgz  Kyrgyztan
              teexsu  Rest of Former Soviet Union
              teearm  Armenia
              teeaze  Azerbaijan
              teegeo  Georgia
              teebhr  Bahrain
              teeirn  Iran Islamic Republic of
              teeisr  Israel
              teekwt  Kuwait
              teeomn  Oman
              teeqat  Qatar
              teesau  Saudi Arabia
              teetur  Turkey
              teeare  United Arab Emirates
              teexws  Rest of Western Asia
              teeegy  Egypt
              teemar  Morocco
              teetun  Tunisia
              teexnf  Rest of North Africa
              teecmr  Cameroon
              teeciv  Cote d'Ivoire
              teegha  Ghana
              teenga  Nigeria
              teesen  Senegal
              teexwf  Rest of Western Africa
              teexcf  Central Africa
              teexac  South Central Africa
              teeeth  Ethiopia
              teeken  Kenya
              teemdg  Madagascar
              teemwi  Malawi
              teemus  Mauritius
              teemoz  Mozambique
              teetza  Tanzania
              teeuga  Uganda
              teezmb  Zambia
              teezwe  Zimbabwe
              teexec  Rest of Eastern Africa
              teebwa  Botswana
              teenam  Namibia
              teezaf  South Africa
              teexsc  Rest of South African Customs
              teextw  Rest of the World
             tssmpdr  Paddy rice
             tssmwht  Wheat
             tssmgro  Cereal grains nec
             tssmv_f  Vegetables fruit nuts
             tssmosd  Oil seeds
             tssmc_b  Sugar cane sugar beet
             tssmpfb  Plant-based fibers
             tssmocr  Crops nec
             tssmctl  Cattle sheep goats horses
             tssmoap  Animal products nec
             tssmrmk  Raw milk
             tssmwol  Wool silk-worm cocoons
             tssmfrs  Forestry
             tssmfsh  Fishing
             tssmcoa  Coal
             tssmoil  Oil
             tssmgas  Gas
             tssmomn  Minerals nec
             tssmcmt  Meat: cattle sheep goats horse
             tssmomt  Meat products nec
             tssmvol  Vegetable oils and fats
             tssmmil  Dairy products
             tssmpcr  Processed rice
             tssmsgr  Sugar
             tssmofd  Food products nec
             tssmb_t  Beverages and tobacco products
             tssmtex  Textiles
             tssmwap  Wearing apparel
             tssmlea  Leather products
             tssmlum  Wood products
             tssmppp  Paper products publishing
             tssmp_c  Petroleum coal products
             tssmcrp  Chemical rubber plastic prods
             tssmnmm  Mineral products nec
             tssmi_s  Ferrous metals
             tssmnfm  Metals nec
             tssmfmp  Metal products
             tssmmvh  Motor vehicles and parts
             tssmotn  Transport equipment nec
             tssmele  Electronic equipment
             tssmome  Machinery and equipment nec
             tssmomf  Manufactures nec
             tssmely  Electricity
             tssmgdt  Gas manufacture distribution
             tssmwtr  Water
             tssmcns  Construction
             tssmtrd  Trade
             tssmotp  Transport nec
             tssmwtp  Sea transport
             tssmatp  Air transport
             tssmcmn  Communication
             tssmofi  Financial services nec
             tssmisr  Insurance
             tssmobs  Business services nec
             tssmros  Recreation and other services
             tssmosg  PubAdmin Defence Health Educat
             tssmdwe  Dwellings
             tssdpdr  Paddy rice
             tssdwht  Wheat
             tssdgro  Cereal grains nec
             tssdv_f  Vegetables fruit nuts
             tssdosd  Oil seeds
             tssdc_b  Sugar cane sugar beet
             tssdpfb  Plant-based fibers
             tssdocr  Crops nec
             tssdctl  Cattle sheep goats horses
             tssdoap  Animal products nec
             tssdrmk  Raw milk
             tssdwol  Wool silk-worm cocoons
             tssdfrs  Forestry
             tssdfsh  Fishing
             tssdcoa  Coal
             tssdoil  Oil
             tssdgas  Gas
             tssdomn  Minerals nec
             tssdcmt  Meat: cattle sheep goats horse
             tssdomt  Meat products nec
             tssdvol  Vegetable oils and fats
             tssdmil  Dairy products
             tssdpcr  Processed rice
             tssdsgr  Sugar
             tssdofd  Food products nec
             tssdb_t  Beverages and tobacco products
             tssdtex  Textiles
             tssdwap  Wearing apparel
             tssdlea  Leather products
             tssdlum  Wood products
             tssdppp  Paper products publishing
             tssdp_c  Petroleum coal products
             tssdcrp  Chemical rubber plastic prods
             tssdnmm  Mineral products nec
             tssdi_s  Ferrous metals
             tssdnfm  Metals nec
             tssdfmp  Metal products
             tssdmvh  Motor vehicles and parts
             tssdotn  Transport equipment nec
             tssdele  Electronic equipment
             tssdome  Machinery and equipment nec
             tssdomf  Manufactures nec
             tssdely  Electricity
             tssdgdt  Gas manufacture distribution
             tssdwtr  Water
             tssdcns  Construction
             tssdtrd  Trade
             tssdotp  Transport nec
             tssdwtp  Sea transport
             tssdatp  Air transport
             tssdcmn  Communication
             tssdofi  Financial services nec
             tssdisr  Insurance
             tssdobs  Business services nec
             tssdros  Recreation and other services
             tssdosg  PubAdmin Defence Health Educat
             tssddwe  Dwellings
             tffLand  Land
          tffUnSkLab  Unskilled labour
            tffSkLab  Skilled labour
          tffCapital  Capital
           tffNatRes  Natural Resources
             otppaus  Australia
             otppnzl  New Zealand
             otppxoc  Rest of Oceania
             otppchn  China
             otpphkg  Hong Kong
             otppjpn  Japan
             otppkor  Korea
             otppmng  Mongolia
             otpptwn  Taiwan
             otppxea  Rest of East Asia
             otppkhm  Cambodia
             otppidn  Indonesia
             otpplao  Lao People's Democratic Republ
             otppmys  Malaysia
             otppphl  Philippines
             otppsgp  Singapore
             otpptha  Thailand
             otppvnm  Viet Nam
             otppxse  Rest of Southeast Asia
             otppbgd  Bangladesh
             otppind  India
             otppnpl  Nepal
             otpppak  Pakistan
             otpplka  Sri Lanka
             otppxsa  Rest of South Asia
             otppcan  Canada
             otppusa  United States of America
             otppmex  Mexico
             otppxna  Rest of North America
             otpparg  Argentina
             otppbol  Bolivia
             otppbra  Brazil
             otppchl  Chile
             otppcol  Colombia
             otppecu  Ecuador
             otpppry  Paraguay
             otppper  Peru
             otppury  Uruguay
             otppven  Venezuela
             otppxsm  Rest of South America
             otppcri  Costa Rica
             otppgtm  Guatemala
             otpphnd  Honduras
             otppnic  Nicaragua
             otpppan  Panama
             otppslv  El Salvador
             otppxca  Rest of Central America
             otppxcb  Caribbean
             otppaut  Austria
             otppbel  Belgium
             otppcyp  Cyprus
             otppcze  Czech Republic
             otppdnk  Denmark
             otppest  Estonia
             otppfin  Finland
             otppfra  France
             otppdeu  Germany
             otppgrc  Greece
             otpphun  Hungary
             otppirl  Ireland
             otppita  Italy
             otpplva  Latvia
             otppltu  Lithuania
             otpplux  Luxembourg
             otppmlt  Malta
             otppnld  Netherlands
             otpppol  Poland
             otppprt  Portugal
             otppsvk  Slovakia
             otppsvn  Slovenia
             otppesp  Spain
             otppswe  Sweden
             otppgbr  United Kingdom
             otppche  Switzerland
             otppnor  Norway
             otppxef  Rest of EFTA
             otppalb  Albania
             otppbgr  Bulgaria
             otppblr  Belarus
             otpphrv  Croatia
             otpprou  Romania
             otpprus  Russian Federation
             otppukr  Ukraine
             otppxee  Rest of Eastern Europe
             otppxer  Rest of Europe
             otppkaz  Kazakhstan
             otppkgz  Kyrgyztan
             otppxsu  Rest of Former Soviet Union
             otpparm  Armenia
             otppaze  Azerbaijan
             otppgeo  Georgia
             otppbhr  Bahrain
             otppirn  Iran Islamic Republic of
             otppisr  Israel
             otppkwt  Kuwait
             otppomn  Oman
             otppqat  Qatar
             otppsau  Saudi Arabia
             otpptur  Turkey
             otppare  United Arab Emirates
             otppxws  Rest of Western Asia
             otppegy  Egypt
             otppmar  Morocco
             otpptun  Tunisia
             otppxnf  Rest of North Africa
             otppcmr  Cameroon
             otppciv  Cote d'Ivoire
             otppgha  Ghana
             otppnga  Nigeria
             otppsen  Senegal
             otppxwf  Rest of Western Africa
             otppxcf  Central Africa
             otppxac  South Central Africa
             otppeth  Ethiopia
             otppken  Kenya
             otppmdg  Madagascar
             otppmwi  Malawi
             otppmus  Mauritius
             otppmoz  Mozambique
             otpptza  Tanzania
             otppuga  Uganda
             otppzmb  Zambia
             otppzwe  Zimbabwe
             otppxec  Rest of Eastern Africa
             otppbwa  Botswana
             otppnam  Namibia
             otppzaf  South Africa
             otppxsc  Rest of South African Customs
             otppxtw  Rest of the World
             wtppaus  Australia
             wtppnzl  New Zealand
             wtppxoc  Rest of Oceania
             wtppchn  China
             wtpphkg  Hong Kong
             wtppjpn  Japan
             wtppkor  Korea
             wtppmng  Mongolia
             wtpptwn  Taiwan
             wtppxea  Rest of East Asia
             wtppkhm  Cambodia
             wtppidn  Indonesia
             wtpplao  Lao People's Democratic Republ
             wtppmys  Malaysia
             wtppphl  Philippines
             wtppsgp  Singapore
             wtpptha  Thailand
             wtppvnm  Viet Nam
             wtppxse  Rest of Southeast Asia
             wtppbgd  Bangladesh
             wtppind  India
             wtppnpl  Nepal
             wtpppak  Pakistan
             wtpplka  Sri Lanka
             wtppxsa  Rest of South Asia
             wtppcan  Canada
             wtppusa  United States of America
             wtppmex  Mexico
             wtppxna  Rest of North America
             wtpparg  Argentina
             wtppbol  Bolivia
             wtppbra  Brazil
             wtppchl  Chile
             wtppcol  Colombia
             wtppecu  Ecuador
             wtpppry  Paraguay
             wtppper  Peru
             wtppury  Uruguay
             wtppven  Venezuela
             wtppxsm  Rest of South America
             wtppcri  Costa Rica
             wtppgtm  Guatemala
             wtpphnd  Honduras
             wtppnic  Nicaragua
             wtpppan  Panama
             wtppslv  El Salvador
             wtppxca  Rest of Central America
             wtppxcb  Caribbean
             wtppaut  Austria
             wtppbel  Belgium
             wtppcyp  Cyprus
             wtppcze  Czech Republic
             wtppdnk  Denmark
             wtppest  Estonia
             wtppfin  Finland
             wtppfra  France
             wtppdeu  Germany
             wtppgrc  Greece
             wtpphun  Hungary
             wtppirl  Ireland
             wtppita  Italy
             wtpplva  Latvia
             wtppltu  Lithuania
             wtpplux  Luxembourg
             wtppmlt  Malta
             wtppnld  Netherlands
             wtpppol  Poland
             wtppprt  Portugal
             wtppsvk  Slovakia
             wtppsvn  Slovenia
             wtppesp  Spain
             wtppswe  Sweden
             wtppgbr  United Kingdom
             wtppche  Switzerland
             wtppnor  Norway
             wtppxef  Rest of EFTA
             wtppalb  Albania
             wtppbgr  Bulgaria
             wtppblr  Belarus
             wtpphrv  Croatia
             wtpprou  Romania
             wtpprus  Russian Federation
             wtppukr  Ukraine
             wtppxee  Rest of Eastern Europe
             wtppxer  Rest of Europe
             wtppkaz  Kazakhstan
             wtppkgz  Kyrgyztan
             wtppxsu  Rest of Former Soviet Union
             wtpparm  Armenia
             wtppaze  Azerbaijan
             wtppgeo  Georgia
             wtppbhr  Bahrain
             wtppirn  Iran Islamic Republic of
             wtppisr  Israel
             wtppkwt  Kuwait
             wtppomn  Oman
             wtppqat  Qatar
             wtppsau  Saudi Arabia
             wtpptur  Turkey
             wtppare  United Arab Emirates
             wtppxws  Rest of Western Asia
             wtppegy  Egypt
             wtppmar  Morocco
             wtpptun  Tunisia
             wtppxnf  Rest of North Africa
             wtppcmr  Cameroon
             wtppciv  Cote d'Ivoire
             wtppgha  Ghana
             wtppnga  Nigeria
             wtppsen  Senegal
             wtppxwf  Rest of Western Africa
             wtppxcf  Central Africa
             wtppxac  South Central Africa
             wtppeth  Ethiopia
             wtppken  Kenya
             wtppmdg  Madagascar
             wtppmwi  Malawi
             wtppmus  Mauritius
             wtppmoz  Mozambique
             wtpptza  Tanzania
             wtppuga  Uganda
             wtppzmb  Zambia
             wtppzwe  Zimbabwe
             wtppxec  Rest of Eastern Africa
             wtppbwa  Botswana
             wtppnam  Namibia
             wtppzaf  South Africa
             wtppxsc  Rest of South African Customs
             wtppxtw  Rest of the World
             atppaus  Australia
             atppnzl  New Zealand
             atppxoc  Rest of Oceania
             atppchn  China
             atpphkg  Hong Kong
             atppjpn  Japan
             atppkor  Korea
             atppmng  Mongolia
             atpptwn  Taiwan
             atppxea  Rest of East Asia
             atppkhm  Cambodia
             atppidn  Indonesia
             atpplao  Lao People's Democratic Republ
             atppmys  Malaysia
             atppphl  Philippines
             atppsgp  Singapore
             atpptha  Thailand
             atppvnm  Viet Nam
             atppxse  Rest of Southeast Asia
             atppbgd  Bangladesh
             atppind  India
             atppnpl  Nepal
             atpppak  Pakistan
             atpplka  Sri Lanka
             atppxsa  Rest of South Asia
             atppcan  Canada
             atppusa  United States of America
             atppmex  Mexico
             atppxna  Rest of North America
             atpparg  Argentina
             atppbol  Bolivia
             atppbra  Brazil
             atppchl  Chile
             atppcol  Colombia
             atppecu  Ecuador
             atpppry  Paraguay
             atppper  Peru
             atppury  Uruguay
             atppven  Venezuela
             atppxsm  Rest of South America
             atppcri  Costa Rica
             atppgtm  Guatemala
             atpphnd  Honduras
             atppnic  Nicaragua
             atpppan  Panama
             atppslv  El Salvador
             atppxca  Rest of Central America
             atppxcb  Caribbean
             atppaut  Austria
             atppbel  Belgium
             atppcyp  Cyprus
             atppcze  Czech Republic
             atppdnk  Denmark
             atppest  Estonia
             atppfin  Finland
             atppfra  France
             atppdeu  Germany
             atppgrc  Greece
             atpphun  Hungary
             atppirl  Ireland
             atppita  Italy
             atpplva  Latvia
             atppltu  Lithuania
             atpplux  Luxembourg
             atppmlt  Malta
             atppnld  Netherlands
             atpppol  Poland
             atppprt  Portugal
             atppsvk  Slovakia
             atppsvn  Slovenia
             atppesp  Spain
             atppswe  Sweden
             atppgbr  United Kingdom
             atppche  Switzerland
             atppnor  Norway
             atppxef  Rest of EFTA
             atppalb  Albania
             atppbgr  Bulgaria
             atppblr  Belarus
             atpphrv  Croatia
             atpprou  Romania
             atpprus  Russian Federation
             atppukr  Ukraine
             atppxee  Rest of Eastern Europe
             atppxer  Rest of Europe
             atppkaz  Kazakhstan
             atppkgz  Kyrgyztan
             atppxsu  Rest of Former Soviet Union
             atpparm  Armenia
             atppaze  Azerbaijan
             atppgeo  Georgia
             atppbhr  Bahrain
             atppirn  Iran Islamic Republic of
             atppisr  Israel
             atppkwt  Kuwait
             atppomn  Oman
             atppqat  Qatar
             atppsau  Saudi Arabia
             atpptur  Turkey
             atppare  United Arab Emirates
             atppxws  Rest of Western Asia
             atppegy  Egypt
             atppmar  Morocco
             atpptun  Tunisia
             atppxnf  Rest of North Africa
             atppcmr  Cameroon
             atppciv  Cote d'Ivoire
             atppgha  Ghana
             atppnga  Nigeria
             atppsen  Senegal
             atppxwf  Rest of Western Africa
             atppxcf  Central Africa
             atppxac  South Central Africa
             atppeth  Ethiopia
             atppken  Kenya
             atppmdg  Madagascar
             atppmwi  Malawi
             atppmus  Mauritius
             atppmoz  Mozambique
             atpptza  Tanzania
             atppuga  Uganda
             atppzmb  Zambia
             atppzwe  Zimbabwe
             atppxec  Rest of Eastern Africa
             atppbwa  Botswana
             atppnam  Namibia
             atppzaf  South Africa
             atppxsc  Rest of South African Customs
             atppxtw  Rest of the World
             otppvst  Transport nec
             wtppvst  Sea transport
             atppvst  Air transport
               wwaus  Australia
               wwnzl  New Zealand
               wwxoc  Rest of Oceania
               wwchn  China
               wwhkg  Hong Kong
               wwjpn  Japan
               wwkor  Korea
               wwmng  Mongolia
               wwtwn  Taiwan
               wwxea  Rest of East Asia
               wwkhm  Cambodia
               wwidn  Indonesia
               wwlao  Lao People's Democratic Republ
               wwmys  Malaysia
               wwphl  Philippines
               wwsgp  Singapore
               wwtha  Thailand
               wwvnm  Viet Nam
               wwxse  Rest of Southeast Asia
               wwbgd  Bangladesh
               wwind  India
               wwnpl  Nepal
               wwpak  Pakistan
               wwlka  Sri Lanka
               wwxsa  Rest of South Asia
               wwcan  Canada
               wwusa  United States of America
               wwmex  Mexico
               wwxna  Rest of North America
               wwarg  Argentina
               wwbol  Bolivia
               wwbra  Brazil
               wwchl  Chile
               wwcol  Colombia
               wwecu  Ecuador
               wwpry  Paraguay
               wwper  Peru
               wwury  Uruguay
               wwven  Venezuela
               wwxsm  Rest of South America
               wwcri  Costa Rica
               wwgtm  Guatemala
               wwhnd  Honduras
               wwnic  Nicaragua
               wwpan  Panama
               wwslv  El Salvador
               wwxca  Rest of Central America
               wwxcb  Caribbean
               wwaut  Austria
               wwbel  Belgium
               wwcyp  Cyprus
               wwcze  Czech Republic
               wwdnk  Denmark
               wwest  Estonia
               wwfin  Finland
               wwfra  France
               wwdeu  Germany
               wwgrc  Greece
               wwhun  Hungary
               wwirl  Ireland
               wwita  Italy
               wwlva  Latvia
               wwltu  Lithuania
               wwlux  Luxembourg
               wwmlt  Malta
               wwnld  Netherlands
               wwpol  Poland
               wwprt  Portugal
               wwsvk  Slovakia
               wwsvn  Slovenia
               wwesp  Spain
               wwswe  Sweden
               wwgbr  United Kingdom
               wwche  Switzerland
               wwnor  Norway
               wwxef  Rest of EFTA
               wwalb  Albania
               wwbgr  Bulgaria
               wwblr  Belarus
               wwhrv  Croatia
               wwrou  Romania
               wwrus  Russian Federation
               wwukr  Ukraine
               wwxee  Rest of Eastern Europe
               wwxer  Rest of Europe
               wwkaz  Kazakhstan
               wwkgz  Kyrgyztan
               wwxsu  Rest of Former Soviet Union
               wwarm  Armenia
               wwaze  Azerbaijan
               wwgeo  Georgia
               wwbhr  Bahrain
               wwirn  Iran Islamic Republic of
               wwisr  Israel
               wwkwt  Kuwait
               wwomn  Oman
               wwqat  Qatar
               wwsau  Saudi Arabia
               wwtur  Turkey
               wware  United Arab Emirates
               wwxws  Rest of Western Asia
               wwegy  Egypt
               wwmar  Morocco
               wwtun  Tunisia
               wwxnf  Rest of North Africa
               wwcmr  Cameroon
               wwciv  Cote d'Ivoire
               wwgha  Ghana
               wwnga  Nigeria
               wwsen  Senegal
               wwxwf  Rest of Western Africa
               wwxcf  Central Africa
               wwxac  South Central Africa
               wweth  Ethiopia
               wwken  Kenya
               wwmdg  Madagascar
               wwmwi  Malawi
               wwmus  Mauritius
               wwmoz  Mozambique
               wwtza  Tanzania
               wwuga  Uganda
               wwzmb  Zambia
               wwzwe  Zimbabwe
               wwxec  Rest of Eastern Africa
               wwbwa  Botswana
               wwnam  Namibia
               wwzaf  South Africa
               wwxsc  Rest of South African Customs
               wwxtw  Rest of the World
            RREGHOUS  Regional Household
               HHOUS  Household
             SSALTAX  Sales taxes
            PPRODTAX  Production Taxes
             DDIRTAX  Direct Taxes
               GGovt  Government
                KKAP  Capital
              TTOTAL  Account totals
/
;
SET
        KK      Global region set         /
                 aus  Australia
                 nzl  New Zealand
                 xoc  Rest of Oceania
                 chn  China
                 hkg  Hong Kong
                 jpn  Japan
                 kor  Korea
                 mng  Mongolia
                 twn  Taiwan
                 xea  Rest of East Asia
                 khm  Cambodia
                 idn  Indonesia
                 lao  Lao People's Democratic Republ
                 mys  Malaysia
                 phl  Philippines
                 sgp  Singapore
                 tha  Thailand
                 vnm  Viet Nam
                 xse  Rest of Southeast Asia
                 bgd  Bangladesh
                 ind  India
                 npl  Nepal
                 pak  Pakistan
                 lka  Sri Lanka
                 xsa  Rest of South Asia
                 can  Canada
                 usa  United States of America
                 mex  Mexico
                 xna  Rest of North America
                 arg  Argentina
                 bol  Bolivia
                 bra  Brazil
                 chl  Chile
                 col  Colombia
                 ecu  Ecuador
                 pry  Paraguay
                 per  Peru
                 ury  Uruguay
                 ven  Venezuela
                 xsm  Rest of South America
                 cri  Costa Rica
                 gtm  Guatemala
                 hnd  Honduras
                 nic  Nicaragua
                 pan  Panama
                 slv  El Salvador
                 xca  Rest of Central America
                 xcb  Caribbean
                 aut  Austria
                 bel  Belgium
                 cyp  Cyprus
                 cze  Czech Republic
                 dnk  Denmark
                 est  Estonia
                 fin  Finland
                 fra  France
                 deu  Germany
                 grc  Greece
                 hun  Hungary
                 irl  Ireland
                 ita  Italy
                 lva  Latvia
                 ltu  Lithuania
                 lux  Luxembourg
                 mlt  Malta
                 nld  Netherlands
                 pol  Poland
                 prt  Portugal
                 svk  Slovakia
                 svn  Slovenia
                 esp  Spain
                 swe  Sweden
                 gbr  United Kingdom
                 che  Switzerland
                 nor  Norway
                 xef  Rest of EFTA
                 alb  Albania
                 bgr  Bulgaria
                 blr  Belarus
                 hrv  Croatia
                 rou  Romania
                 rus  Russian Federation
                 ukr  Ukraine
                 xee  Rest of Eastern Europe
                 xer  Rest of Europe
                 kaz  Kazakhstan
                 kgz  Kyrgyztan
                 xsu  Rest of Former Soviet Union
                 arm  Armenia
                 aze  Azerbaijan
                 geo  Georgia
                 bhr  Bahrain
                 irn  Iran Islamic Republic of
                 isr  Israel
                 kwt  Kuwait
                 omn  Oman
                 qat  Qatar
                 sau  Saudi Arabia
                 tur  Turkey
                 are  United Arab Emirates
                 xws  Rest of Western Asia
                 egy  Egypt
                 mar  Morocco
                 tun  Tunisia
                 xnf  Rest of North Africa
                 cmr  Cameroon
                 civ  Cote d'Ivoire
                 gha  Ghana
                 nga  Nigeria
                 sen  Senegal
                 xwf  Rest of Western Africa
                 xcf  Central Africa
                 xac  South Central Africa
                 eth  Ethiopia
                 ken  Kenya
                 mdg  Madagascar
                 mwi  Malawi
                 mus  Mauritius
                 moz  Mozambique
                 tza  Tanzania
                 uga  Uganda
                 zmb  Zambia
                 zwe  Zimbabwe
                 xec  Rest of Eastern Africa
                 bwa  Botswana
                 nam  Namibia
                 zaf  South Africa
                 xsc  Rest of South African Customs
                 xtw  Rest of the World
/
;
SET
        MCC      Imported Commodities         /
               mmpdr
               mmwht
               mmgro
               mmv_f
               mmosd
               mmc_b
               mmpfb
               mmocr
               mmctl
               mmoap
               mmrmk
               mmwol
               mmfrs
               mmfsh
               mmcoa
               mmoil
               mmgas
               mmomn
               mmcmt
               mmomt
               mmvol
               mmmil
               mmpcr
               mmsgr
               mmofd
               mmb_t
               mmtex
               mmwap
               mmlea
               mmlum
               mmppp
               mmp_c
               mmcrp
               mmnmm
               mmi_s
               mmnfm
               mmfmp
               mmmvh
               mmotn
               mmele
               mmome
               mmomf
               mmely
               mmgdt
               mmwtr
               mmcns
               mmtrd
               mmotp
               mmwtp
               mmatp
               mmcmn
               mmofi
               mmisr
               mmobs
               mmros
               mmosg
               mmdwe
/
;
SET
        DCC      Domestic Commodities         /
               ddpdr
               ddwht
               ddgro
               ddv_f
               ddosd
               ddc_b
               ddpfb
               ddocr
               ddctl
               ddoap
               ddrmk
               ddwol
               ddfrs
               ddfsh
               ddcoa
               ddoil
               ddgas
               ddomn
               ddcmt
               ddomt
               ddvol
               ddmil
               ddpcr
               ddsgr
               ddofd
               ddb_t
               ddtex
               ddwap
               ddlea
               ddlum
               ddppp
               ddp_c
               ddcrp
               ddnmm
               ddi_s
               ddnfm
               ddfmp
               ddmvh
               ddotn
               ddele
               ddome
               ddomf
               ddely
               ddgdt
               ddwtr
               ddcns
               ddtrd
               ddotp
               ddwtp
               ddatp
               ddcmn
               ddofi
               ddisr
               ddobs
               ddros
               ddosg
               dddwe
/
;
SET
        AA      Activities         /
               aapdr
               aawht
               aagro
               aav_f
               aaosd
               aac_b
               aapfb
               aaocr
               aactl
               aaoap
               aarmk
               aawol
               aafrs
               aafsh
               aacoa
               aaoil
               aagas
               aaomn
               aacmt
               aaomt
               aavol
               aamil
               aapcr
               aasgr
               aaofd
               aab_t
               aatex
               aawap
               aalea
               aalum
               aappp
               aap_c
               aacrp
               aanmm
               aai_s
               aanfm
               aafmp
               aamvh
               aaotn
               aaele
               aaome
               aaomf
               aaely
               aagdt
               aawtr
               aacns
               aatrd
               aaotp
               aawtp
               aaatp
               aacmn
               aaofi
               aaisr
               aaobs
               aaros
               aaosg
               aadwe
/
;
SET
        FF      Factors         /
              ffLand
           ffUnSkLab
             ffSkLab
           ffCapital
            ffNatRes
/
;
SET
        TMMTAX      Import taxes          /
              tmmaus
              tmmnzl
              tmmxoc
              tmmchn
              tmmhkg
              tmmjpn
              tmmkor
              tmmmng
              tmmtwn
              tmmxea
              tmmkhm
              tmmidn
              tmmlao
              tmmmys
              tmmphl
              tmmsgp
              tmmtha
              tmmvnm
              tmmxse
              tmmbgd
              tmmind
              tmmnpl
              tmmpak
              tmmlka
              tmmxsa
              tmmcan
              tmmusa
              tmmmex
              tmmxna
              tmmarg
              tmmbol
              tmmbra
              tmmchl
              tmmcol
              tmmecu
              tmmpry
              tmmper
              tmmury
              tmmven
              tmmxsm
              tmmcri
              tmmgtm
              tmmhnd
              tmmnic
              tmmpan
              tmmslv
              tmmxca
              tmmxcb
              tmmaut
              tmmbel
              tmmcyp
              tmmcze
              tmmdnk
              tmmest
              tmmfin
              tmmfra
              tmmdeu
              tmmgrc
              tmmhun
              tmmirl
              tmmita
              tmmlva
              tmmltu
              tmmlux
              tmmmlt
              tmmnld
              tmmpol
              tmmprt
              tmmsvk
              tmmsvn
              tmmesp
              tmmswe
              tmmgbr
              tmmche
              tmmnor
              tmmxef
              tmmalb
              tmmbgr
              tmmblr
              tmmhrv
              tmmrou
              tmmrus
              tmmukr
              tmmxee
              tmmxer
              tmmkaz
              tmmkgz
              tmmxsu
              tmmarm
              tmmaze
              tmmgeo
              tmmbhr
              tmmirn
              tmmisr
              tmmkwt
              tmmomn
              tmmqat
              tmmsau
              tmmtur
              tmmare
              tmmxws
              tmmegy
              tmmmar
              tmmtun
              tmmxnf
              tmmcmr
              tmmciv
              tmmgha
              tmmnga
              tmmsen
              tmmxwf
              tmmxcf
              tmmxac
              tmmeth
              tmmken
              tmmmdg
              tmmmwi
              tmmmus
              tmmmoz
              tmmtza
              tmmuga
              tmmzmb
              tmmzwe
              tmmxec
              tmmbwa
              tmmnam
              tmmzaf
              tmmxsc
              tmmxtw
/
;
SET
        TEETAX      Export taxes          /
              teeaus
              teenzl
              teexoc
              teechn
              teehkg
              teejpn
              teekor
              teemng
              teetwn
              teexea
              teekhm
              teeidn
              teelao
              teemys
              teephl
              teesgp
              teetha
              teevnm
              teexse
              teebgd
              teeind
              teenpl
              teepak
              teelka
              teexsa
              teecan
              teeusa
              teemex
              teexna
              teearg
              teebol
              teebra
              teechl
              teecol
              teeecu
              teepry
              teeper
              teeury
              teeven
              teexsm
              teecri
              teegtm
              teehnd
              teenic
              teepan
              teeslv
              teexca
              teexcb
              teeaut
              teebel
              teecyp
              teecze
              teednk
              teeest
              teefin
              teefra
              teedeu
              teegrc
              teehun
              teeirl
              teeita
              teelva
              teeltu
              teelux
              teemlt
              teenld
              teepol
              teeprt
              teesvk
              teesvn
              teeesp
              teeswe
              teegbr
              teeche
              teenor
              teexef
              teealb
              teebgr
              teeblr
              teehrv
              teerou
              teerus
              teeukr
              teexee
              teexer
              teekaz
              teekgz
              teexsu
              teearm
              teeaze
              teegeo
              teebhr
              teeirn
              teeisr
              teekwt
              teeomn
              teeqat
              teesau
              teetur
              teeare
              teexws
              teeegy
              teemar
              teetun
              teexnf
              teecmr
              teeciv
              teegha
              teenga
              teesen
              teexwf
              teexcf
              teexac
              teeeth
              teeken
              teemdg
              teemwi
              teemus
              teemoz
              teetza
              teeuga
              teezmb
              teezwe
              teexec
              teebwa
              teenam
              teezaf
              teexsc
              teextw
/
;
SET
        SMMTAX      Sales Taxes on imported goods and services          /
             tssmpdr
             tssmwht
             tssmgro
             tssmv_f
             tssmosd
             tssmc_b
             tssmpfb
             tssmocr
             tssmctl
             tssmoap
             tssmrmk
             tssmwol
             tssmfrs
             tssmfsh
             tssmcoa
             tssmoil
             tssmgas
             tssmomn
             tssmcmt
             tssmomt
             tssmvol
             tssmmil
             tssmpcr
             tssmsgr
             tssmofd
             tssmb_t
             tssmtex
             tssmwap
             tssmlea
             tssmlum
             tssmppp
             tssmp_c
             tssmcrp
             tssmnmm
             tssmi_s
             tssmnfm
             tssmfmp
             tssmmvh
             tssmotn
             tssmele
             tssmome
             tssmomf
             tssmely
             tssmgdt
             tssmwtr
             tssmcns
             tssmtrd
             tssmotp
             tssmwtp
             tssmatp
             tssmcmn
             tssmofi
             tssmisr
             tssmobs
             tssmros
             tssmosg
             tssmdwe
/
;
SET
        SDDTAX      Sales Taxes on domestic goods and services          /
             tssdpdr
             tssdwht
             tssdgro
             tssdv_f
             tssdosd
             tssdc_b
             tssdpfb
             tssdocr
             tssdctl
             tssdoap
             tssdrmk
             tssdwol
             tssdfrs
             tssdfsh
             tssdcoa
             tssdoil
             tssdgas
             tssdomn
             tssdcmt
             tssdomt
             tssdvol
             tssdmil
             tssdpcr
             tssdsgr
             tssdofd
             tssdb_t
             tssdtex
             tssdwap
             tssdlea
             tssdlum
             tssdppp
             tssdp_c
             tssdcrp
             tssdnmm
             tssdi_s
             tssdnfm
             tssdfmp
             tssdmvh
             tssdotn
             tssdele
             tssdome
             tssdomf
             tssdely
             tssdgdt
             tssdwtr
             tssdcns
             tssdtrd
             tssdotp
             tssdwtp
             tssdatp
             tssdcmn
             tssdofi
             tssdisr
             tssdobs
             tssdros
             tssdosg
             tssddwe
/
;
SET
        FFTAX      Taxes on Factors          /
             tffLand
          tffUnSkLab
            tffSkLab
          tffCapital
           tffNatRes
/
;
SET
        OTPPMARG      Other trade and transport costs         /
             otppaus
             otppnzl
             otppxoc
             otppchn
             otpphkg
             otppjpn
             otppkor
             otppmng
             otpptwn
             otppxea
             otppkhm
             otppidn
             otpplao
             otppmys
             otppphl
             otppsgp
             otpptha
             otppvnm
             otppxse
             otppbgd
             otppind
             otppnpl
             otpppak
             otpplka
             otppxsa
             otppcan
             otppusa
             otppmex
             otppxna
             otpparg
             otppbol
             otppbra
             otppchl
             otppcol
             otppecu
             otpppry
             otppper
             otppury
             otppven
             otppxsm
             otppcri
             otppgtm
             otpphnd
             otppnic
             otpppan
             otppslv
             otppxca
             otppxcb
             otppaut
             otppbel
             otppcyp
             otppcze
             otppdnk
             otppest
             otppfin
             otppfra
             otppdeu
             otppgrc
             otpphun
             otppirl
             otppita
             otpplva
             otppltu
             otpplux
             otppmlt
             otppnld
             otpppol
             otppprt
             otppsvk
             otppsvn
             otppesp
             otppswe
             otppgbr
             otppche
             otppnor
             otppxef
             otppalb
             otppbgr
             otppblr
             otpphrv
             otpprou
             otpprus
             otppukr
             otppxee
             otppxer
             otppkaz
             otppkgz
             otppxsu
             otpparm
             otppaze
             otppgeo
             otppbhr
             otppirn
             otppisr
             otppkwt
             otppomn
             otppqat
             otppsau
             otpptur
             otppare
             otppxws
             otppegy
             otppmar
             otpptun
             otppxnf
             otppcmr
             otppciv
             otppgha
             otppnga
             otppsen
             otppxwf
             otppxcf
             otppxac
             otppeth
             otppken
             otppmdg
             otppmwi
             otppmus
             otppmoz
             otpptza
             otppuga
             otppzmb
             otppzwe
             otppxec
             otppbwa
             otppnam
             otppzaf
             otppxsc
             otppxtw
/
;
SET
        WTPPMARG      Water trade and transport costs         /
             wtppaus
             wtppnzl
             wtppxoc
             wtppchn
             wtpphkg
             wtppjpn
             wtppkor
             wtppmng
             wtpptwn
             wtppxea
             wtppkhm
             wtppidn
             wtpplao
             wtppmys
             wtppphl
             wtppsgp
             wtpptha
             wtppvnm
             wtppxse
             wtppbgd
             wtppind
             wtppnpl
             wtpppak
             wtpplka
             wtppxsa
             wtppcan
             wtppusa
             wtppmex
             wtppxna
             wtpparg
             wtppbol
             wtppbra
             wtppchl
             wtppcol
             wtppecu
             wtpppry
             wtppper
             wtppury
             wtppven
             wtppxsm
             wtppcri
             wtppgtm
             wtpphnd
             wtppnic
             wtpppan
             wtppslv
             wtppxca
             wtppxcb
             wtppaut
             wtppbel
             wtppcyp
             wtppcze
             wtppdnk
             wtppest
             wtppfin
             wtppfra
             wtppdeu
             wtppgrc
             wtpphun
             wtppirl
             wtppita
             wtpplva
             wtppltu
             wtpplux
             wtppmlt
             wtppnld
             wtpppol
             wtppprt
             wtppsvk
             wtppsvn
             wtppesp
             wtppswe
             wtppgbr
             wtppche
             wtppnor
             wtppxef
             wtppalb
             wtppbgr
             wtppblr
             wtpphrv
             wtpprou
             wtpprus
             wtppukr
             wtppxee
             wtppxer
             wtppkaz
             wtppkgz
             wtppxsu
             wtpparm
             wtppaze
             wtppgeo
             wtppbhr
             wtppirn
             wtppisr
             wtppkwt
             wtppomn
             wtppqat
             wtppsau
             wtpptur
             wtppare
             wtppxws
             wtppegy
             wtppmar
             wtpptun
             wtppxnf
             wtppcmr
             wtppciv
             wtppgha
             wtppnga
             wtppsen
             wtppxwf
             wtppxcf
             wtppxac
             wtppeth
             wtppken
             wtppmdg
             wtppmwi
             wtppmus
             wtppmoz
             wtpptza
             wtppuga
             wtppzmb
             wtppzwe
             wtppxec
             wtppbwa
             wtppnam
             wtppzaf
             wtppxsc
             wtppxtw
/
;
SET
        ATPPMARG      Air trade and transport costs         /
             atppaus
             atppnzl
             atppxoc
             atppchn
             atpphkg
             atppjpn
             atppkor
             atppmng
             atpptwn
             atppxea
             atppkhm
             atppidn
             atpplao
             atppmys
             atppphl
             atppsgp
             atpptha
             atppvnm
             atppxse
             atppbgd
             atppind
             atppnpl
             atpppak
             atpplka
             atppxsa
             atppcan
             atppusa
             atppmex
             atppxna
             atpparg
             atppbol
             atppbra
             atppchl
             atppcol
             atppecu
             atpppry
             atppper
             atppury
             atppven
             atppxsm
             atppcri
             atppgtm
             atpphnd
             atppnic
             atpppan
             atppslv
             atppxca
             atppxcb
             atppaut
             atppbel
             atppcyp
             atppcze
             atppdnk
             atppest
             atppfin
             atppfra
             atppdeu
             atppgrc
             atpphun
             atppirl
             atppita
             atpplva
             atppltu
             atpplux
             atppmlt
             atppnld
             atpppol
             atppprt
             atppsvk
             atppsvn
             atppesp
             atppswe
             atppgbr
             atppche
             atppnor
             atppxef
             atppalb
             atppbgr
             atppblr
             atpphrv
             atpprou
             atpprus
             atppukr
             atppxee
             atppxer
             atppkaz
             atppkgz
             atppxsu
             atpparm
             atppaze
             atppgeo
             atppbhr
             atppirn
             atppisr
             atppkwt
             atppomn
             atppqat
             atppsau
             atpptur
             atppare
             atppxws
             atppegy
             atppmar
             atpptun
             atppxnf
             atppcmr
             atppciv
             atppgha
             atppnga
             atppsen
             atppxwf
             atppxcf
             atppxac
             atppeth
             atppken
             atppmdg
             atppmwi
             atppmus
             atppmoz
             atpptza
             atppuga
             atppzmb
             atppzwe
             atppxec
             atppbwa
             atppnam
             atppzaf
             atppxsc
             atppxtw
/
;
SET
        VSTTMARG      Exports of trade and transport services         /
             otppvst
             wtppvst
             atppvst
/
;
SET
        II      Investment         /
                KKAP
/
;
SET
        WW      Rest of the World         /
               wwaus
               wwnzl
               wwxoc
               wwchn
               wwhkg
               wwjpn
               wwkor
               wwmng
               wwtwn
               wwxea
               wwkhm
               wwidn
               wwlao
               wwmys
               wwphl
               wwsgp
               wwtha
               wwvnm
               wwxse
               wwbgd
               wwind
               wwnpl
               wwpak
               wwlka
               wwxsa
               wwcan
               wwusa
               wwmex
               wwxna
               wwarg
               wwbol
               wwbra
               wwchl
               wwcol
               wwecu
               wwpry
               wwper
               wwury
               wwven
               wwxsm
               wwcri
               wwgtm
               wwhnd
               wwnic
               wwpan
               wwslv
               wwxca
               wwxcb
               wwaut
               wwbel
               wwcyp
               wwcze
               wwdnk
               wwest
               wwfin
               wwfra
               wwdeu
               wwgrc
               wwhun
               wwirl
               wwita
               wwlva
               wwltu
               wwlux
               wwmlt
               wwnld
               wwpol
               wwprt
               wwsvk
               wwsvn
               wwesp
               wwswe
               wwgbr
               wwche
               wwnor
               wwxef
               wwalb
               wwbgr
               wwblr
               wwhrv
               wwrou
               wwrus
               wwukr
               wwxee
               wwxer
               wwkaz
               wwkgz
               wwxsu
               wwarm
               wwaze
               wwgeo
               wwbhr
               wwirn
               wwisr
               wwkwt
               wwomn
               wwqat
               wwsau
               wwtur
               wware
               wwxws
               wwegy
               wwmar
               wwtun
               wwxnf
               wwcmr
               wwciv
               wwgha
               wwnga
               wwsen
               wwxwf
               wwxcf
               wwxac
               wweth
               wwken
               wwmdg
               wwmwi
               wwmus
               wwmoz
               wwtza
               wwuga
               wwzmb
               wwzwe
               wwxec
               wwbwa
               wwnam
               wwzaf
               wwxsc
               wwxtw
/
;


* Defining SETS by exclusions from previously defined SETS

* SAM Accounts excluding totals
 SSN(SS)        = YES ;
 SSN("TTOTAL")  = NO ;

 row(SS)        = YES ;
 row("TTOTAL")  = NO ;



DISPLAY SS, MCC, DCC, AA, FF,
        TMMTAX, TEETAX, SMMTAX, SDDTAX, FFTAX,
        OTPPMARG, WTPPMARG, ATPPMARG, VSTTMARG,
        WW, II, KK
    ;

* Output set declarations and definitions

*Output set definitions

SET
        s           New SAM accounts  /

              magric  agriculture
               mnres  Natural rsource sectors
                mfdp  Food products
              mlmanu  Light manufacturing
               mchem  Chemicals
              mhmanu  Heavy manufacturing
              momanu  Other manufacturing
               mutil  Utilities
               mcons  Construction
             mtrtran  Trade and transport
               mserv  Services

              dagric  agriculture
               dnres  Natural rsource sectors
                dfdp  Food products
              dlmanu  Light manufacturing
               dchem  Chemicals
              dhmanu  Heavy manufacturing
              domanu  Other manufacturing
               dutil  Utilities
               dcons  Construction
             dtrtran  Trade and transport
               dserv  Services

              aagric  agriculture
               anres  Natural rsource sectors
                afdp  Food products
              almanu  Light manufacturing
               achem  Chemicals
              ahmanu  Heavy manufacturing
              aomanu  Other manufacturing
               autil  Utilities
               acons  Construction
             atrtran  Trade and transport
               aserv  Services

                land  Land
               USlab  Unskilled
                Slab  Skilled labour
                 cap  Capital
              ntlres  Natural res

              tmocen  Oceania
             tmeasia  East Asia
             tmsasia  South Asia
             tmnamer  North America
             tmsamer  South America
               tmeur  EU
              tmreur  Rest of Europe
             tmmeast  Middle east
               tmafr  Africa
              tmrest  Rest of WOrld

              teocen  Oceania
             teeasia  East Asia
             tesasia  South Asia
             tenamer  North America
             tesamer  South America
               teeur  EU
              tereur  Rest of Europe
             temeast  Middle east
               teafr  Africa
              terest  Rest of WOrld

            tsmagric  agriculture
             tsmnres  Natural rsource sectors
              tsmfdp  Food products
            tsmlmanu  Light manufacturing
             tsmchem  Chemicals
            tsmhmanu  Heavy manufacturing
            tsmomanu  Other manufacturing
             tsmutil  Utilities
             tsmcons  Construction
           tsmtrtran  Trade and transport
             tsmserv  Services

            tsdagric  agriculture
             tsdnres  Natural rsource sectors
              tsdfdp  Food products
            tsdlmanu  Light manufacturing
             tsdchem  Chemicals
            tsdhmanu  Heavy manufacturing
            tsdomanu  Other manufacturing
             tsdutil  Utilities
             tsdcons  Construction
           tsdtrtran  Trade and transport
             tsdserv  Services

              tfland  Land
             tfUSlab  Unskilled
              tfSlab  Skilled labour
               tfcap  Capital
            tfntlres  Natural res

                marg  margins
           owatpocen  all transport margins Oceania
          owatpeasia  all transport margins East Asia
          owatpsasia  all transport margins South Asia
          owatpnamer  all transport margins North America
          owatpsamer  all transport margins South America
            owatpeur  all transport margins EU
           owatpreur  all transport margins Rest of Europe
          owatpmeast  all transport margins Middle east
            owatpafr  all transport margins Africa
           owatprest  all transport margins Rest of WOrld

               wocen  Oceania
              weasia  East Asia
              wsasia  South Asia
              wnamer  North America
              wsamer  South America
                weur  EU
               wreur  Rest of Europe
              wmeast  Middle east
                wafr  Africa
               wrest  Rest of WOrld

             REGHOUS  Regional Household

                HOUS  Household

             PRODTAX  Indirect Production Taxes paid by activities

              DIRTAX  Direct Taxes

                Govt  Government

                 KAP  Capital

               TOTAL  Account totals

/
;

SET m(s)    Imported Commodities /
              magric  agriculture
               mnres  Natural rsource sectors
                mfdp  Food products
              mlmanu  Light manufacturing
               mchem  Chemicals
              mhmanu  Heavy manufacturing
              momanu  Other manufacturing
               mutil  Utilities
               mcons  Construction
             mtrtran  Trade and transport
               mserv  Services
/

SET d(s)    Domestic Commodities /
              dagric  agriculture
               dnres  Natural rsource sectors
                dfdp  Food products
              dlmanu  Light manufacturing
               dchem  Chemicals
              dhmanu  Heavy manufacturing
              domanu  Other manufacturing
               dutil  Utilities
               dcons  Construction
             dtrtran  Trade and transport
               dserv  Services
/

SET a(s)    Activities /
              aagric  agriculture
               anres  Natural rsource sectors
                afdp  Food products
              almanu  Light manufacturing
               achem  Chemicals
              ahmanu  Heavy manufacturing
              aomanu  Other manufacturing
               autil  Utilities
               acons  Construction
             atrtran  Trade and transport
               aserv  Services
/

SET f(s)    Factors /
                land  Land
               USlab  Unskilled
                Slab  Skilled labour
                 cap  Capital
              ntlres  Natural res
/

SET tm(s)    Import taxes  /
              tmocen  Oceania
             tmeasia  East Asia
             tmsasia  South Asia
             tmnamer  North America
             tmsamer  South America
               tmeur  EU
              tmreur  Rest of Europe
             tmmeast  Middle east
               tmafr  Africa
              tmrest  Rest of WOrld
/

SET te(s)    Export taxes  /
              teocen  Oceania
             teeasia  East Asia
             tesasia  South Asia
             tenamer  North America
             tesamer  South America
               teeur  EU
              tereur  Rest of Europe
             temeast  Middle east
               teafr  Africa
              terest  Rest of WOrld
/

SET s_tssm(s)    Sales Taxes on imported goods and services  /
            tsmagric  agriculture
             tsmnres  Natural rsource sectors
              tsmfdp  Food products
            tsmlmanu  Light manufacturing
             tsmchem  Chemicals
            tsmhmanu  Heavy manufacturing
            tsmomanu  Other manufacturing
             tsmutil  Utilities
             tsmcons  Construction
           tsmtrtran  Trade and transport
             tsmserv  Services
/

SET s_tssd(s)    Sales Taxes on domestic goods and services  /
            tsdagric  agriculture
             tsdnres  Natural rsource sectors
              tsdfdp  Food products
            tsdlmanu  Light manufacturing
             tsdchem  Chemicals
            tsdhmanu  Heavy manufacturing
            tsdomanu  Other manufacturing
             tsdutil  Utilities
             tsdcons  Construction
           tsdtrtran  Trade and transport
             tsdserv  Services
/

SET tf(s)    Taxes on Factors  /
              tfland  Land
             tfUSlab  Unskilled
              tfSlab  Skilled labour
               tfcap  Capital
            tfntlres  Natural res
/

SET vstmarg(s)    export margin accounts /
                marg  margins
/
SET owatpmarg(s)  all margins on imports /
           owatpocen  all transport margins Oceania
          owatpeasia  all transport margins East Asia
          owatpsasia  all transport margins South Asia
          owatpnamer  all transport margins North America
          owatpsamer  all transport margins South America
            owatpeur  all transport margins EU
           owatpreur  all transport margins Rest of Europe
          owatpmeast  all transport margins Middle east
            owatpafr  all transport margins Africa
           owatprest  all transport margins Rest of WOrld
/

SET w(s)    Rest of the World /
               wocen  Oceania
              weasia  East Asia
              wsasia  South Asia
              wnamer  North America
              wsamer  South America
                weur  EU
               wreur  Rest of Europe
              wmeast  Middle east
                wafr  Africa
               wrest  Rest of WOrld
/


SET
K            New SAM Regions  /
     ocen
     easia
     sasia
     namer
     samer
     eur
     reur
     meast
     afr
     rest
    /

*Mapping sets definitions

SET
        MAPSAMAG(s, ss)      SAMG mapping to New SAM    /

magric.(
               mmpdr
               mmwht
               mmgro
               mmv_f
               mmosd
               mmc_b
               mmpfb
               mmocr
               mmctl
               mmoap
               mmrmk
               mmwol
               mmfrs
               mmfsh
)
mnres.(
               mmcoa
               mmoil
               mmgas
               mmomn
)
mfdp.(
               mmcmt
               mmomt
               mmvol
               mmmil
               mmpcr
               mmsgr
               mmofd
               mmb_t
)
mlmanu.(
               mmtex
               mmwap
               mmlea
               mmlum
               mmppp
)
mchem.(
               mmp_c
               mmcrp
)
mhmanu.(
               mmnmm
               mmi_s
               mmnfm
               mmfmp
               mmmvh
               mmotn
)
momanu.(
               mmele
               mmome
               mmomf
)
mutil.(
               mmely
               mmgdt
               mmwtr
)
mcons.(
               mmcns
)
mtrtran.(
               mmtrd
               mmotp
               mmwtp
               mmatp
               mmcmn
)
mserv.(
               mmofi
               mmisr
               mmobs
               mmros
               mmosg
               mmdwe
)

dagric.(
               ddpdr
               ddwht
               ddgro
               ddv_f
               ddosd
               ddc_b
               ddpfb
               ddocr
               ddctl
               ddoap
               ddrmk
               ddwol
               ddfrs
               ddfsh
)
dnres.(
               ddcoa
               ddoil
               ddgas
               ddomn
)
dfdp.(
               ddcmt
               ddomt
               ddvol
               ddmil
               ddpcr
               ddsgr
               ddofd
               ddb_t
)
dlmanu.(
               ddtex
               ddwap
               ddlea
               ddlum
               ddppp
)
dchem.(
               ddp_c
               ddcrp
)
dhmanu.(
               ddnmm
               ddi_s
               ddnfm
               ddfmp
               ddmvh
               ddotn
)
domanu.(
               ddele
               ddome
               ddomf
)
dutil.(
               ddely
               ddgdt
               ddwtr
)
dcons.(
               ddcns
)
dtrtran.(
               ddtrd
               ddotp
               ddwtp
               ddatp
               ddcmn
)
dserv.(
               ddofi
               ddisr
               ddobs
               ddros
               ddosg
               dddwe
)

aagric.(
               aapdr
               aawht
               aagro
               aav_f
               aaosd
               aac_b
               aapfb
               aaocr
               aactl
               aaoap
               aarmk
               aawol
               aafrs
               aafsh
)
anres.(
               aacoa
               aaoil
               aagas
               aaomn
)
afdp.(
               aacmt
               aaomt
               aavol
               aamil
               aapcr
               aasgr
               aaofd
               aab_t
)
almanu.(
               aatex
               aawap
               aalea
               aalum
               aappp
)
achem.(
               aap_c
               aacrp
)
ahmanu.(
               aanmm
               aai_s
               aanfm
               aafmp
               aamvh
               aaotn
)
aomanu.(
               aaele
               aaome
               aaomf
)
autil.(
               aaely
               aagdt
               aawtr
)
acons.(
               aacns
)
atrtran.(
               aatrd
               aaotp
               aawtp
               aaatp
               aacmn
)
aserv.(
               aaofi
               aaisr
               aaobs
               aaros
               aaosg
               aadwe
)

land.(
              ffLand
)
USlab.(
           ffUnSkLab
)
Slab.(
             ffSkLab
)
cap.(
           ffCapital
)
ntlres.(
            ffNatRes
)

tmocen.(
              tmmaus
              tmmnzl
              tmmxoc
)
tmeasia.(
              tmmchn
              tmmhkg
              tmmjpn
              tmmkor
              tmmmng
              tmmtwn
              tmmxea
              tmmkhm
              tmmidn
              tmmlao
              tmmmys
              tmmphl
              tmmsgp
              tmmtha
              tmmvnm
              tmmxse
)
tmsasia.(
              tmmbgd
              tmmind
              tmmnpl
              tmmpak
              tmmlka
              tmmxsa
)
tmnamer.(
              tmmcan
              tmmusa
              tmmmex
              tmmxna
)
tmsamer.(
              tmmarg
              tmmbol
              tmmbra
              tmmchl
              tmmcol
              tmmecu
              tmmpry
              tmmper
              tmmury
              tmmven
              tmmxsm
              tmmcri
              tmmgtm
              tmmhnd
              tmmnic
              tmmpan
              tmmslv
              tmmxca
              tmmxcb
)
tmeur.(
              tmmaut
              tmmbel
              tmmcyp
              tmmcze
              tmmdnk
              tmmest
              tmmfin
              tmmfra
              tmmdeu
              tmmgrc
              tmmhun
              tmmirl
              tmmita
              tmmlva
              tmmltu
              tmmlux
              tmmmlt
              tmmnld
              tmmpol
              tmmprt
              tmmsvk
              tmmsvn
              tmmesp
              tmmswe
              tmmgbr
              tmmche
)
tmreur.(
              tmmnor
              tmmxef
              tmmalb
              tmmbgr
              tmmblr
              tmmhrv
              tmmrou
              tmmrus
              tmmukr
              tmmxee
              tmmxer
)
tmmeast.(
              tmmbhr
              tmmirn
              tmmisr
              tmmkwt
              tmmomn
              tmmqat
              tmmsau
              tmmare
)
tmafr.(
              tmmegy
              tmmmar
              tmmtun
              tmmxnf
              tmmcmr
              tmmciv
              tmmgha
              tmmnga
              tmmsen
              tmmxwf
              tmmxcf
              tmmxac
              tmmeth
              tmmken
              tmmmdg
              tmmmwi
              tmmmus
              tmmmoz
              tmmtza
              tmmuga
              tmmzmb
              tmmzwe
              tmmxec
              tmmbwa
              tmmnam
              tmmzaf
              tmmxsc
              tmmxtw
)
tmrest.(
              tmmkaz
              tmmkgz
              tmmxsu
              tmmarm
              tmmaze
              tmmgeo
              tmmtur
              tmmxws
)

teocen.(
              teeaus
              teenzl
              teexoc
)
teeasia.(
              teechn
              teehkg
              teejpn
              teekor
              teemng
              teetwn
              teexea
              teekhm
              teeidn
              teelao
              teemys
              teephl
              teesgp
              teetha
              teevnm
              teexse
)
tesasia.(
              teebgd
              teeind
              teenpl
              teepak
              teelka
              teexsa
)
tenamer.(
              teecan
              teeusa
              teemex
              teexna
)
tesamer.(
              teearg
              teebol
              teebra
              teechl
              teecol
              teeecu
              teepry
              teeper
              teeury
              teeven
              teexsm
              teecri
              teegtm
              teehnd
              teenic
              teepan
              teeslv
              teexca
              teexcb
)
teeur.(
              teeaut
              teebel
              teecyp
              teecze
              teednk
              teeest
              teefin
              teefra
              teedeu
              teegrc
              teehun
              teeirl
              teeita
              teelva
              teeltu
              teelux
              teemlt
              teenld
              teepol
              teeprt
              teesvk
              teesvn
              teeesp
              teeswe
              teegbr
              teeche
)
tereur.(
              teenor
              teexef
              teealb
              teebgr
              teeblr
              teehrv
              teerou
              teerus
              teeukr
              teexee
              teexer
)
temeast.(
              teebhr
              teeirn
              teeisr
              teekwt
              teeomn
              teeqat
              teesau
              teeare
)
teafr.(
              teeegy
              teemar
              teetun
              teexnf
              teecmr
              teeciv
              teegha
              teenga
              teesen
              teexwf
              teexcf
              teexac
              teeeth
              teeken
              teemdg
              teemwi
              teemus
              teemoz
              teetza
              teeuga
              teezmb
              teezwe
              teexec
              teebwa
              teenam
              teezaf
              teexsc
              teextw
)
terest.(
              teekaz
              teekgz
              teexsu
              teearm
              teeaze
              teegeo
              teetur
              teexws
)

tsmagric.(
             tssmpdr
             tssmwht
             tssmgro
             tssmv_f
             tssmosd
             tssmc_b
             tssmpfb
             tssmocr
             tssmctl
             tssmoap
             tssmrmk
             tssmwol
             tssmfrs
             tssmfsh
)
tsmnres.(
             tssmcoa
             tssmoil
             tssmgas
             tssmomn
)
tsmfdp.(
             tssmcmt
             tssmomt
             tssmvol
             tssmmil
             tssmpcr
             tssmsgr
             tssmofd
             tssmb_t
)
tsmlmanu.(
             tssmtex
             tssmwap
             tssmlea
             tssmlum
             tssmppp
)
tsmchem.(
             tssmp_c
             tssmcrp
)
tsmhmanu.(
             tssmnmm
             tssmi_s
             tssmnfm
             tssmfmp
             tssmmvh
             tssmotn
)
tsmomanu.(
             tssmele
             tssmome
             tssmomf
)
tsmutil.(
             tssmely
             tssmgdt
             tssmwtr
)
tsmcons.(
             tssmcns
)
tsmtrtran.(
             tssmtrd
             tssmotp
             tssmwtp
             tssmatp
             tssmcmn
)
tsmserv.(
             tssmofi
             tssmisr
             tssmobs
             tssmros
             tssmosg
             tssmdwe
)

tsdagric.(
             tssdpdr
             tssdwht
             tssdgro
             tssdv_f
             tssdosd
             tssdc_b
             tssdpfb
             tssdocr
             tssdctl
             tssdoap
             tssdrmk
             tssdwol
             tssdfrs
             tssdfsh
)
tsdnres.(
             tssdcoa
             tssdoil
             tssdgas
             tssdomn
)
tsdfdp.(
             tssdcmt
             tssdomt
             tssdvol
             tssdmil
             tssdpcr
             tssdsgr
             tssdofd
             tssdb_t
)
tsdlmanu.(
             tssdtex
             tssdwap
             tssdlea
             tssdlum
             tssdppp
)
tsdchem.(
             tssdp_c
             tssdcrp
)
tsdhmanu.(
             tssdnmm
             tssdi_s
             tssdnfm
             tssdfmp
             tssdmvh
             tssdotn
)
tsdomanu.(
             tssdele
             tssdome
             tssdomf
)
tsdutil.(
             tssdely
             tssdgdt
             tssdwtr
)
tsdcons.(
             tssdcns
)
tsdtrtran.(
             tssdtrd
             tssdotp
             tssdwtp
             tssdatp
             tssdcmn
)
tsdserv.(
             tssdofi
             tssdisr
             tssdobs
             tssdros
             tssdosg
             tssddwe
)

tfland.(
             tffLand
)
tfUSlab.(
          tffUnSkLab
)
tfSlab.(
            tffSkLab
)
tfcap.(
          tffCapital
)
tfntlres.(
           tffNatRes
)

marg.(
             otppvst
             wtppvst
             atppvst
)
  owatpocen   .(
     otppaus
     wtppaus
     atppaus
     otppnzl
     wtppnzl
     atppnzl
     otppxoc
     wtppxoc
     atppxoc
)
  owatpeasia   .(
     otppchn
     wtppchn
     atppchn
     otpphkg
     wtpphkg
     atpphkg
     otppjpn
     wtppjpn
     atppjpn
     otppkor
     wtppkor
     atppkor
     otppmng
     wtppmng
     atppmng
     otpptwn
     wtpptwn
     atpptwn
     otppxea
     wtppxea
     atppxea
     otppkhm
     wtppkhm
     atppkhm
     otppidn
     wtppidn
     atppidn
     otpplao
     wtpplao
     atpplao
     otppmys
     wtppmys
     atppmys
     otppphl
     wtppphl
     atppphl
     otppsgp
     wtppsgp
     atppsgp
     otpptha
     wtpptha
     atpptha
     otppvnm
     wtppvnm
     atppvnm
     otppxse
     wtppxse
     atppxse
)
  owatpsasia   .(
     otppbgd
     wtppbgd
     atppbgd
     otppind
     wtppind
     atppind
     otppnpl
     wtppnpl
     atppnpl
     otpppak
     wtpppak
     atpppak
     otpplka
     wtpplka
     atpplka
     otppxsa
     wtppxsa
     atppxsa
)
  owatpnamer   .(
     otppcan
     wtppcan
     atppcan
     otppusa
     wtppusa
     atppusa
     otppmex
     wtppmex
     atppmex
     otppxna
     wtppxna
     atppxna
)
  owatpsamer   .(
     otpparg
     wtpparg
     atpparg
     otppbol
     wtppbol
     atppbol
     otppbra
     wtppbra
     atppbra
     otppchl
     wtppchl
     atppchl
     otppcol
     wtppcol
     atppcol
     otppecu
     wtppecu
     atppecu
     otpppry
     wtpppry
     atpppry
     otppper
     wtppper
     atppper
     otppury
     wtppury
     atppury
     otppven
     wtppven
     atppven
     otppxsm
     wtppxsm
     atppxsm
     otppcri
     wtppcri
     atppcri
     otppgtm
     wtppgtm
     atppgtm
     otpphnd
     wtpphnd
     atpphnd
     otppnic
     wtppnic
     atppnic
     otpppan
     wtpppan
     atpppan
     otppslv
     wtppslv
     atppslv
     otppxca
     wtppxca
     atppxca
     otppxcb
     wtppxcb
     atppxcb
)
  owatpeur   .(
     otppaut
     wtppaut
     atppaut
     otppbel
     wtppbel
     atppbel
     otppcyp
     wtppcyp
     atppcyp
     otppcze
     wtppcze
     atppcze
     otppdnk
     wtppdnk
     atppdnk
     otppest
     wtppest
     atppest
     otppfin
     wtppfin
     atppfin
     otppfra
     wtppfra
     atppfra
     otppdeu
     wtppdeu
     atppdeu
     otppgrc
     wtppgrc
     atppgrc
     otpphun
     wtpphun
     atpphun
     otppirl
     wtppirl
     atppirl
     otppita
     wtppita
     atppita
     otpplva
     wtpplva
     atpplva
     otppltu
     wtppltu
     atppltu
     otpplux
     wtpplux
     atpplux
     otppmlt
     wtppmlt
     atppmlt
     otppnld
     wtppnld
     atppnld
     otpppol
     wtpppol
     atpppol
     otppprt
     wtppprt
     atppprt
     otppsvk
     wtppsvk
     atppsvk
     otppsvn
     wtppsvn
     atppsvn
     otppesp
     wtppesp
     atppesp
     otppswe
     wtppswe
     atppswe
     otppgbr
     wtppgbr
     atppgbr
     otppche
     wtppche
     atppche
)
  owatpreur   .(
     otppnor
     wtppnor
     atppnor
     otppxef
     wtppxef
     atppxef
     otppalb
     wtppalb
     atppalb
     otppbgr
     wtppbgr
     atppbgr
     otppblr
     wtppblr
     atppblr
     otpphrv
     wtpphrv
     atpphrv
     otpprou
     wtpprou
     atpprou
     otpprus
     wtpprus
     atpprus
     otppukr
     wtppukr
     atppukr
     otppxee
     wtppxee
     atppxee
     otppxer
     wtppxer
     atppxer
)
  owatpmeast   .(
     otppbhr
     wtppbhr
     atppbhr
     otppirn
     wtppirn
     atppirn
     otppisr
     wtppisr
     atppisr
     otppkwt
     wtppkwt
     atppkwt
     otppomn
     wtppomn
     atppomn
     otppqat
     wtppqat
     atppqat
     otppsau
     wtppsau
     atppsau
     otppare
     wtppare
     atppare
)
  owatpafr   .(
     otppegy
     wtppegy
     atppegy
     otppmar
     wtppmar
     atppmar
     otpptun
     wtpptun
     atpptun
     otppxnf
     wtppxnf
     atppxnf
     otppcmr
     wtppcmr
     atppcmr
     otppciv
     wtppciv
     atppciv
     otppgha
     wtppgha
     atppgha
     otppnga
     wtppnga
     atppnga
     otppsen
     wtppsen
     atppsen
     otppxwf
     wtppxwf
     atppxwf
     otppxcf
     wtppxcf
     atppxcf
     otppxac
     wtppxac
     atppxac
     otppeth
     wtppeth
     atppeth
     otppken
     wtppken
     atppken
     otppmdg
     wtppmdg
     atppmdg
     otppmwi
     wtppmwi
     atppmwi
     otppmus
     wtppmus
     atppmus
     otppmoz
     wtppmoz
     atppmoz
     otpptza
     wtpptza
     atpptza
     otppuga
     wtppuga
     atppuga
     otppzmb
     wtppzmb
     atppzmb
     otppzwe
     wtppzwe
     atppzwe
     otppxec
     wtppxec
     atppxec
     otppbwa
     wtppbwa
     atppbwa
     otppnam
     wtppnam
     atppnam
     otppzaf
     wtppzaf
     atppzaf
     otppxsc
     wtppxsc
     atppxsc
     otppxtw
     wtppxtw
     atppxtw
)
  owatprest   .(
     otppkaz
     wtppkaz
     atppkaz
     otppkgz
     wtppkgz
     atppkgz
     otppxsu
     wtppxsu
     atppxsu
     otpparm
     wtpparm
     atpparm
     otppaze
     wtppaze
     atppaze
     otppgeo
     wtppgeo
     atppgeo
     otpptur
     wtpptur
     atpptur
     otppxws
     wtppxws
     atppxws
)

wocen.(
               wwaus
               wwnzl
               wwxoc
)
weasia.(
               wwchn
               wwhkg
               wwjpn
               wwkor
               wwmng
               wwtwn
               wwxea
               wwkhm
               wwidn
               wwlao
               wwmys
               wwphl
               wwsgp
               wwtha
               wwvnm
               wwxse
)
wsasia.(
               wwbgd
               wwind
               wwnpl
               wwpak
               wwlka
               wwxsa
)
wnamer.(
               wwcan
               wwusa
               wwmex
               wwxna
)
wsamer.(
               wwarg
               wwbol
               wwbra
               wwchl
               wwcol
               wwecu
               wwpry
               wwper
               wwury
               wwven
               wwxsm
               wwcri
               wwgtm
               wwhnd
               wwnic
               wwpan
               wwslv
               wwxca
               wwxcb
)
weur.(
               wwaut
               wwbel
               wwcyp
               wwcze
               wwdnk
               wwest
               wwfin
               wwfra
               wwdeu
               wwgrc
               wwhun
               wwirl
               wwita
               wwlva
               wwltu
               wwlux
               wwmlt
               wwnld
               wwpol
               wwprt
               wwsvk
               wwsvn
               wwesp
               wwswe
               wwgbr
               wwche
)
wreur.(
               wwnor
               wwxef
               wwalb
               wwbgr
               wwblr
               wwhrv
               wwrou
               wwrus
               wwukr
               wwxee
               wwxer
)
wmeast.(
               wwbhr
               wwirn
               wwisr
               wwkwt
               wwomn
               wwqat
               wwsau
               wware
)
wafr.(
               wwegy
               wwmar
               wwtun
               wwxnf
               wwcmr
               wwciv
               wwgha
               wwnga
               wwsen
               wwxwf
               wwxcf
               wwxac
               wweth
               wwken
               wwmdg
               wwmwi
               wwmus
               wwmoz
               wwtza
               wwuga
               wwzmb
               wwzwe
               wwxec
               wwbwa
               wwnam
               wwzaf
               wwxsc
               wwxtw
)
wrest.(
               wwkaz
               wwkgz
               wwxsu
               wwarm
               wwaze
               wwgeo
               wwtur
               wwxws
)

REGHOUS.(
            RREGHOUS
)

HOUS.(
               HHOUS
)

PRODTAX.(
            PPRODTAX
)

DIRTAX.(
             DDIRTAX
)

Govt.(
               GGovt
)

KAP.(
                KKAP
)

TOTAL.(
              TTOTAL
)

/
;

SET
MAPREGAG(k, kk)      SAMG Region mapping to New SAM    /
ocen   .(
     aus
     nzl
     xoc
           )
easia   .(
     chn
     hkg
     jpn
     kor
     mng
     twn
     xea
     khm
     idn
     lao
     mys
     phl
     sgp
     tha
     vnm
     xse
           )
sasia   .(
     bgd
     ind
     npl
     pak
     lka
     xsa
           )
namer   .(
     can
     usa
     mex
     xna
           )
samer   .(
     arg
     bol
     bra
     chl
     col
     ecu
     pry
     per
     ury
     ven
     xsm
     cri
     gtm
     hnd
     nic
     pan
     slv
     xca
     xcb
           )
eur   .(
     aut
     bel
     cyp
     cze
     dnk
     est
     fin
     fra
     deu
     grc
     hun
     irl
     ita
     lva
     ltu
     lux
     mlt
     nld
     pol
     prt
     svk
     svn
     esp
     swe
     gbr
     che
           )
reur   .(
     nor
     xef
     alb
     bgr
     blr
     hrv
     rou
     rus
     ukr
     xee
     xer
           )
meast   .(
     bhr
     irn
     isr
     kwt
     omn
     qat
     sau
     are
           )
afr   .(
     egy
     mar
     tun
     xnf
     cmr
     civ
     gha
     nga
     sen
     xwf
     xcf
     xac
     eth
     ken
     mdg
     mwi
     mus
     moz
     tza
     uga
     zmb
     zwe
     xec
     bwa
     nam
     zaf
     xsc
     xtw
           )
rest   .(
     kaz
     kgz
     xsu
     arm
     aze
     geo
     tur
     xws
           )
    /


*### ALIASES common to All Aggregation Levels #####

ALIAS(ss, ssp) ;
ALIAS(s,sp,spp) ;


*################## DATA ENTRY ####################################

 PARAMETERS

 SAMG(SS,SSP,KK)   Social accounting matrices for regions k

;

* Data are read in from a *.gdx file

$GDXIN gtpsam807.gdx

$LOAD SAMG = SAMG

$GDXIN

*DISPLAY SAMG ;

*################### SAM AGGREGATION ############################

PARAMETER
   NEWSAM(sp,spp,k)          Aggregate SAM derived
   SUMROW(sp,k)              Row sum parameter by region
   SUMCOL(sp,k)              Column sum parameter by region
   SAMCHECK(sp,k)            Check on account totals parameter by region
   ERROR(k)                  Count of non zero entries in SAMCHECK
 ;

*######### AGGREGATION ASSIGNMENT #######################

 NEWSAM(sp,spp,k)           = SUM((ss,ssp,kk)
                                $(MAPSAMAG(sp,ss)
                                $MAPSAMAG(spp,ssp)
                                $MAPREGAG(k,kk)),
                                SAMG(ss,ssp,kk)) ;


*#### Rounding the New SAM to 6 Decimal Places
* The GTAP database only records data to 6 decimal places

 NEWSAM(sp,spp,k)      = ROUND(NEWSAM(sp,spp,k),6) ;


*COMPUTE TOTALS AND CHECK

NEWSAM(sp,"TOTAL",k)        = 0.0 ;
NEWSAM("TOTAL",sp,k)        = 0.0 ;

NEWSAM(sp,"TOTAL",k)        = SUM(spp, NEWSAM(sp,spp,k)) ;
NEWSAM("TOTAL",spp,k)       = SUM(sp, NEWSAM(sp,spp,k)) ;

SUMROW(sp,k)                = NEWSAM(sp,"TOTAL",k) ;
 SUMROW(sp,k)      = ROUND(SUMROW(sp,k),6) ;

SUMCOL(spp,k)               = NEWSAM("TOTAL",spp,k) ;
 SUMCOL(spp,k)      = ROUND(SUMCOL(spp,k),6) ;

SAMCHECK(sp,k)              = SUMROW(sp,k) - SUMCOL(sp,k) ;
 SAMCHECK(sp,k)      = ROUND(SAMCHECK(sp,k),6) ;

 ERROR(k)        = SUM((s)$(SAMCHECK(s,k) GT 2.0), 1) ;

DISPLAY NEWSAM, SAMCHECK, ERROR ;

 ABORT$(SUM(k,ERROR(k) GT 0.0))
         "ROW & COLUMN SUMS NOT EQUAL: CHECK ERROR" ;

*#################### EXPORT OF RESULT FILES ####################

*#######  Export new aggregation to GDX ###################

*## Writing out the NEW SAMs to GDX

* This writes all the SAM data to GDX

* NB THE COMMON COMPONENT AT THE BOTTOM TO UNLOAD SETS TO GDX


Execute_Unload  'samg10_5_10.gdx',
* Aggregate SAM
NEWSAM
* common instruction for unloading sets to GDX
s
m
d
a
f
tm
te
s_tssm
s_tssd
tf
vstmarg
owatpmarg
w
K


     ;


*############################## THE END ############################


