$TITLE Reduced Form Global SAMs GLOBE Version 1 GTAP 804
$OFFUPPER
*$OFFLISTING OFFSYMXREF OFFSYMLIST
$ONEMPTY

*############## WORK TO DO ON THIS VERSION #############################
$ontext

Estimates of the internal balance for each region are required
Current version assumes all have values equal to ZERO

$offtext

*############## GENERAL INFORMATION #############################
$ontext

This programme was developed by Scott McDonald

 Scott McDonald
 Dept of Economics & Strategy
 Oxford Brookes University
 Wheatley Campus, Wheatley
 Oxford, OX33 1HX, UK
 email:
    smcdonald@brookes.ac.uk

This version works with version 8.0 2007 of GTAP.

This version revised 2nd March 2012

Scott McDonald, "Deriving Reduced Form Global Social Accounting
Matrices from GTAP Data", mimeo.

Copyright (c) 2012 Scott McDonald

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

A copy of the GNU GPL, gpl.txt, is included with the programme files.

Do NOT remove this notice if you redistribute this programme

If you use this programme you should acknowledge the source and not claim
authorship. Altered versions should be clearly distinguished from the original.


*############## USER GUIDE ######################################
$ontext

SOFTWARE REQUIREMENTS

  1) This programme is known to work with versions of GAMS 250 after and
     including distribution 23.7. It is believed to work with all versions
     of GAMS 250 that include the GDXXRW utilities, i.e, since
     distribution 21.0 in May 2003.

  2) Some problems can arise if the GDX files are generated with a different
     versions of GAMS to those that use the GDX files. This is because
     of the different GDX formats. (See www.gams.org for details).

  3) It is also useful to have a copy of GDXVIEWER - this is one of the
     WTOOLS utilities developed by Erwin Kalvelagen. GDXViewer is now
     packaged with GAMS.

DATA REQUIREMENTS

  1) No GTAP data are provided. The user must have a licensed version
     of the GTAP database complete with the GTAPAgg programme.

  2) The computer code and instructions for generating a Global SAM from
     the GTAP database are available from www.cgemod.org.uk and
     the GTAP web site
       - the revised version of GTAPagg can be used to generate the
         Global SAM but the instructions below assume that the GTAP database
         has been transformed using the GAMS programme gtpsam807.gms that is
         included in the same library as this programme. The gtpsam807.gms
         programme converts ALL the data in the GTAP database into a
         consistent GDX format.
         (The output from GTAPagg could be used but it will require the
         user to load the GTAP data in SAM form and other data from HAR files.)

  3) All the sets and set mapping required to use the GAMS programmes for
     specific versions of the GTAP database are provided from
     a single Excel workbook.

USER INSTRUCTIONS
   (These instructions assume the user is working in a Windows
    environment using GAMSIDE and Microsoft Excel 2007 or 2010)

 The programmes are made available in a GAMS User library - glb_sam_lib.glb

  It is assumed that the user has generated a gdx version of the GTAP database
using gtpsam804.

  1) Create directory say 'GLOBE_data'
  2) Load the globesam804_glb1 component from the GAMS User library to
     the directory
  3) Add the gdx file containing the GTAP database - the default name is
     'gtpdatav804.gdx' IF you use a different name it will be necessary to
     edit this code.
  4) The Excel workbook associated with this programme is named
     'data_glbsam_804_glb1.xlsx' IF you change this name you will need to
     edit this programme.
  5) Run the programme globesam804_glb1.gms.
  6) Check the resultant SAM is balanced - the parameters DIFFTOT3g,
     DIFFPER3g and SUMDIFFTOT3g are displayed in the globesam804_glb1.lst
     file.
     There are no trivial number of small errors relating to the balances
     on the commodity accounts.
     These errors are all in the GTAP database and require resolution at
     some point. Since we are not using this version of the GTAP database
     resolution of these errors is not a priority for us.


  7) The results are written out to the file 'glbsam804_glb1.gdx'
  8) This is assumed to be the input file the SAMgator for the generation
     of a aggregated databse for use in the model GLOBE 1.

$offtext
*############## PROGRAMME DESCRIPTION ##################################
$ontext
This programme reorganises GTAP SAM data into a Global SAM for the GLOBE model

   In addition to SAMG the following components of the GTAP database
  are written out
        GTAP elasticity values
        GTAP energy volumes
        GTAP time series trade data
        GTAP Factor-Based Subsidies and Factor Employment Tax Revenue
        GTAP Ordinary Output Subsidies
        GTAP intermediate input subsidies - Imported and Domestic
        GTAP MFA and Ordinary Export Subsidy Equivalents
        GTAP Ordinary Import duties

This version creates a SAM under the implicit assumption that a law of
one price held in the base GTAP data.

It is assumed that the internal balance for all regions was zero
in the base period.

The imported and domestic commodity accounts are aggregated to follow a
composite commodity type model - see Dervis et al (1982)
for an example of this type of representation.

Other versions can be created

$offtext
*############## 1. OUTLINE OF PROGRAMME ################################

$ontext
Programme Navigation

     PROGRAMME DESCRIPTION

 2. SET and PARAMETER DECLARATIONS

 3. SET AND PARAMETER ASSIGNMENTS

 4. LAW OF ONE PRICE ADJUSTMENTS

 5. A SAM with SIMPLE SALES TAXES

 6. CHECKING A SAM with SIMPLE SALES TAXES
       This checking of the SAM is important.

 7. SMD SAM with SIMPLE SALES TAXES

 8. CHECKING THE SMD SAM with SIMPLE SALES TAXES
       This checking of the SAM is important.

 9. GLOBAL SAM with COMPOSITE COMMODITIES

 1O. CHECKING THE GLOBAL SAM
       This checking of the SAM is important.

 11. CREATING A GLOBE SAMg

 12. CHECKING THE GLOBE SAMGg
       This checking of the SAM is important.

 13. WRITING THE GLOBE SAM and DATA TO GDX

$offtext


*############## 2. SET and PARAMETER DECLARATIONS ##########################

*#### SET DECLARATIONS

SETS

 ss              SAM accounts

 ssn(ss)         SAM accounts excluding TOTAL

*   Commodity sets
 mcc(ss)         Imported Commodities
 mccts(mcc)      Imported commodities WITH input subsidies
 mcctsn(mcc)     Imported commodities WITHOUT input subsidies

 dcc(ss)         Domestic Commodities
 dccts(dcc)      Domestic commodities WITH input subsidies
 dcctsn(dcc)     Domestic commodities WITHOUT input subsidies

 cc(ss)          Composite Commodities

 en              energy commodities

*   Activity sets
 aa(ss)          Activities
 a2              Production commodities Activities in GTAP

*   Factor sets
 ff (ss)         Factors

*   Tax sets
 tmmtax(ss)      Import taxes
 teetax(ss)      Export taxes
 smmtax(ss)      Sales Taxes on imported goods and services
 sddtax(ss)      Sales Taxes on domestic goods and services
 sstax(ss)       Sales Taxes on composite goods and services
 fftax(ss)       Taxes on Factors

*   Trade sets
 otppmarg(ss)    Other trade and transport costs
 wtppmarg(ss)    Water trade and transport costs
 atppmarg(ss)    Air trade and transport costs

 vsttmarg(ss)    Exports of trade and transport services

 ww(ss)          Rest of the World

*   investment sets
 ii(ss)          Investment

*   Regions set
 kk              Regions

*   Time Periods set
 tt              time periods 1965 to 2008


*   Mapping sets

 mapsmtax(mcc,smmtax)      Import Sales tax mapping

 mapinsubm(smmtax,mcc)     Input subsidy mapping

 mapstaxsm(sstax,smmtax)   Input subsidy mapping for composite goods

 mapsdtax(dcc,sddtax)      Domestic Sales tax mapping

 mapinsubd(sddtax,dcc)     Domestic input subsidy mapping

 mapstaxsd(sstax,sddtax)   Input subsidy mapping for composite goods

 mapsimpcom(cc,mcc)        Imports to Composite commodity mapping

 mapsdomcom(cc,dcc)        Domestic to Composite commodity mapping

 maptrad(ww,kk)            Trade account mapping

 mapkk_ww(kk,ww)           Trade account mapping

 mapcc_en(cc,en)           Mapping from energy to composite commodities

*  Report sets

 tsmset       sets for summary info on sales taxes on imports commod
 tsdset       sets for summary info on sales taxes on domestic commod

* Set used to control model flow

 cons         set of programme controlling parameters

      ;

* Setting up ALIASES

 ALIAS(ss,ssp) ;
 ALIAS(ssn,ssnp) ;
 ALIAS(mcc,mccp) ;
 ALIAS(dcc,dccp) ;
 ALIAS(cc,ccp) ;
 ALIAS(aa,aap) ;
 ALIAS(a2,aa2) ;
 ALIAS(ff,ffp,endow_comm) ;
 ALIAS(tmmtax,tmmtaxp) ;
 ALIAS(teetax,teetaxp) ;
 ALIAS(smmtax,smmtaxp) ;
 ALIAS(sddtax,sddtaxp) ;
 ALIAS(sddtax,sddtaxp) ;
 ALIAS(fftax,fftaxp) ;
 ALIAS(otppmarg,otppmargp) ;
 ALIAS(wtppmarg,wtppmargp) ;
 ALIAS(atppmarg,atppmargp) ;
 ALIAS(vsttmarg,vsttmargp) ;
 ALIAS(ww,wwp) ;
 ALIAS(kk,kkp,regp) ;
* ALIAS(rr,rrp,rrpp) ;

*#### PARAMETER DECLARATIONS

PARAMETERS
* GTAP Global SAM
 SAMG(ss,ssp,kk)        Social accounting matrices for regions k

* Factor based
 FacSubs(ff,aa,kk)      Factor-Based Subsidies by activity and region
 FacEmpTax(ff,aa,kk)    Factor Employment Tax Revenue

* Activity based
 OutSubs(dcc,kk)        Ordinary Output Subsidies

* Intermediate Input based
 IntInSubsM(mcc,aa,kk)  Imported intermediate input subsidies
 IntInSubsD(dcc,aa,kk)  Domestic intermediate input subsidies

* Export based
 MFASubs(dcc,ww,kk)     MFA Export Subsidy Equivalents
 OrdXSub(dcc,ww,kk)     Ordinary Export subsidies

* Import based
 OrdMDuty(ww,mcc,kk)    Ordinary Import duties

* GTAP Elasticities
 ESUBVA(aa)             CES between primary factors in production
 ESUBD(mcc)             Armington CES for domestic_imported allocation
 ESUBM(mcc)             Armington CES for regional allocation of imports

* GTAP Energy Volumes
 EVolF(en,aa,kk)        volume of input purchases by firms (Mtoe)
 EVolH(en,kk)           volume of purchases by households (Mtoe)
 EVolT(en,kk,kk)        volume of bilateral trade (Mtoe)

* GTAP Time Series Trade data

 TSTRAD(dcc,kk,ww,tt)   Time series of trade flows between regions


 roundpar               Rounding parameter

* Parameters used to control model flow

 controls(cons,*)   initial values for controlling parameters

 DISP1              Control on DISPLAY Statements for read in SETS and DATA
 DISP2              Control on general DISPLAY Statements
 OUTGDXv1           Control on GDX Unload for SAMG v1
 OUTGDXv2           Control on GDX Unload for SAMG v2
 OUTGDXv3           Control on GDX Unload for SAMG v3
 OUTGDXv3g          Control on GDX Unload for SAMG v3g
 OUTREP             Control on Report outpurs

* Sales Tax parameters

 tsma(mcc,aa,kk)    Sales Taxes rates on imported commod by activities
 SMTAXA(mcc,aa,kk)  Sales Taxes revenues on imported commod by activities
 tsmh(mcc,*,kk)     Sales Taxes rates on imported commod by households
 SMTAXH(mcc,*,kk)   Sales Taxes revenues on imported commod by households
 tsmg(mcc,*,kk)     Sales Taxes rates on imported commod by government
 SMTAXG(mcc,*,kk)   Sales Taxes revenues on imported commod by government
 tsmk(mcc,*,kk)     Sales Taxes rates on imported commod by investment
 SMTAXK(mcc,*,kk)   Sales Taxes revenues on imported commod by investment

 tsda(dcc,aa,kk)    Sales Taxes rates on domestic commod by activities
 SDTAXA(dcc,aa,kk)  Sales Taxes revenues on domestic commod by activities
 tsdh(dcc,*,kk)     Sales Taxes rates on domestic commod by households
 SDTAXH(dcc,*,kk)   Sales Taxes revenues on domestic commod by households
 tsdg(dcc,*,kk)     Sales Taxes rates on domestic commod by government
 SDTAXG(dcc,*,kk)   Sales Taxes revenues on domestic commod by government
 tsdk(dcc,*,kk)     Sales Taxes rates on domestic commod by investment
 SDTAXK(dcc,*,kk)   Sales Taxes revenues on domestic commod by investment

* Sales Tax Report parameters

 tsmrates(kk,mcc,tsmset)  Summary info on sales taxes on imported commod
 tsdrates(kk,dcc,tsdset)  Summary info on sales taxes on domestic commod

* parameters for matrices of implied sales taxes and input subsidies

* Implied sales tax matrices

 SMTAXA2(mcc,aa,kk)    Implied Sales Taxes rev on imp commod by activities
 SMTAXH2(mcc,*,kk)     Implied Sales Taxes rev on imp commod by households
 SMTAXG2(mcc,*,kk)     Implied Sales Taxes rev on imp commod by government
 SMTAXK2(mcc,*,kk)     Implied Sales Taxes rev on imp commod by investment

 SDTAXA2(dcc,aa,kk)    Implied Sales Taxes rev on dom commod by activities
 SDTAXH2(dcc,*,kk)     Implied Sales Taxes rev on dom commod by households
 SDTAXG2(dcc,*,kk)     Implied Sales Taxes rev on dom commod by government
 SDTAXK2(dcc,*,kk)     Implied Sales Taxes rev on dom commod by investment

 tsmcom(mccts,kk)      Common sales tax rates for imp input subsidy commods
 tsdcom(dccts,kk)      Common sales tax rates for dom input subsidy commods

* input subsidy matrices

 INSUBMA(mcc,aa,kk)      Input subsidies for imp input subsidy commods
 INSUBMH(mcc,*,kk)       Input subsidies for imp input subsidy commods
 INSUBMG(mcc,*,kk)       Input subsidies for imp input subsidy commods
 INSUBMK(mcc,*,kk)       Input subsidies for imp input subsidy commods

 INSUBDA(dcc,aa,kk)      Input subsidies for dom input subsidy commods
 INSUBDH(dcc,*,kk)       Input subsidies for dom input subsidy commods
 INSUBDG(dcc,*,kk)       Input subsidies for dom input subsidy commods
 INSUBDK(dcc,*,kk)       Input subsidies for dom input subsidy commods

 INSUBMA2(smmtax,aa,kk)  Input subsidies for imp input subsidy commods
 INSUBMH2(smmtax,*,kk)   Input subsidies for imp input subsidy commods
 INSUBMG2(smmtax,*,kk)   Input subsidies for imp input subsidy commods
 INSUBMK2(smmtax,*,kk)   Input subsidies for imp input subsidy commods

 INSUBDA2(sddtax,aa,kk)  Input subsidies for dom input subsidy commods
 INSUBDH2(sddtax,*,kk)   Input subsidies for dom input subsidy commods
 INSUBDG2(sddtax,*,kk)   Input subsidies for dom input subsidy commods
 INSUBDK2(sddtax,*,kk)   Input subsidies for dom input subsidy commods

   ;

*############## 3. SET AND PARAMETER ASSIGNMENTS ##########################

* SETS are read in from an Excel

$CALL "GDXXRW i=data_glbsam_804_glb1.xlsx o=data_in.gdx INDEX=LAYOUT!A4"

$GDXIN data_in.gdx

* SAMG Sets
$LOADdc ss
$LOADdc mcc mccts dcc dccts cc en
$LOADdc aa a2
$LOADdc ff
$LOADdc tmmtax teetax smmtax sddtax sstax fftax
$LOADdc otppmarg wtppmarg atppmarg vsttmarg
$LOADdc ww
$LOADdc ii
$LOADdc kk
$LOADdc tt
* Sets for reports on tax rates
$LOADdc tsmset tsdset
* Set for controlling parameters
$LOAD cons
* SEts for MAPS
$LOADdc mapsmtax mapinsubm mapstaxsm mapsdtax mapinsubd
$LOADdc mapstaxsd mapsimpcom mapsdomcom maptrad mapkk_ww
$LOAD mapcc_en

* Values for controlling parameters
$LOAD controls

$GDXIN

$GDXIN gtpdatav804.gdx

$LOAD SAMG   = SAMG

$LOADdc FacSubs     = FacSubs
$LOADdc FacEmpTax   = FacEmpTax
$LOADdc OutSubs     = OutSubs
$LOADdc IntInSubsM  = IntInSubsM
$LOADdc IntInSubsD  = IntInSubsD
$LOADdc MFASubs     = MFASubs
$LOADdc OrdXSub     = OrdXSub
$LOADdc OrdMDuty    = OrdMDuty

$LOADdc ESUBVA = ESUBVA
$LOADdc ESUBD  = ESUBD
$LOADdc ESUBM  = ESUBM

*$LOADdc EVolF  = EVolF
*$LOADdc EVolH  = EVolH
*$LOADdc EVolT  = EVolT

*$LOAD TSTRAD = TSTRAD

$GDXIN

* Assigning the rounding parameter

 roundpar      = 6 ;

* Assigning values to control parameters

 DISP1         = controls("conDISP1","base") ;
 DISP2         = controls("conDISP2","base") ;
 OUTGDXv1      = controls("conOUTGDXv1","base") ;
 OUTGDXv2      = controls("conOUTGDXv2","base") ;
 OUTGDXv3      = controls("conOUTGDXv3","base") ;
 OUTGDXv3g     = controls("conOUTGDXv3g","base") ;
 OUTREP        = controls("conOUTREP","base") ;

* Defining set members by reference to previously defined sets

 mcctsn(mcc)    = NOT mccts(mcc) ;
 dcctsn(dcc)    = NOT dccts(dcc) ;

* SAM Accounts excluding totals
 ssn(ss)        = YES ;
 ssn("TTOTAL")  = NO ;

IF(DISP1 = 1,

DISPLAY SAMG, controls ;

DISPLAY ss, ssn,
        mcc, mccts, mcctsn, dcc, dccts, dcctsn, cc, en,
        aa, a2,
        ff,
        tmmtax, teetax, smmtax, sddtax, sstax, fftax,
        otppmarg, wtppmarg, atppmarg, vsttmarg,
        ww, ii, kk ;

DISPLAY tsmset, tsdset ;

DISPLAY mapsmtax, mapinsubm, mapstaxsm, mapsdtax, mapinsubd, mapstaxsd,
        mapsimpcom, mapsdomcom, maptrad, mapkk_ww, mapcc_en ;

   ) ;

*############## 4. LAW OF ONE PRICE ADJUSTMENTS ########################

*### Mappings for Tax Accounts

 SMTAXA(mcc,aa,kk)      = SUM(smmtax
                          $MAPSMTAX(mcc,smmtax),
                          SAMG(smmtax,aa,kk)) ;

 SMTAXH(mcc,"HHOUS",kk) = SUM(smmtax
                          $MAPSMTAX(mcc,smmtax),
                          SAMG(smmtax,"HHOUS",kk)) ;

 SMTAXG(mcc,"GGOVT",kk) = SUM(smmtax
                          $MAPSMTAX(mcc,smmtax),
                          SAMG(smmtax,"GGOVT",kk)) ;

 SMTAXK(mcc,"KKAP",kk)  = SUM(smmtax
                          $MAPSMTAX(mcc,smmtax),
                          SAMG(smmtax,"KKAP",kk)) ;

 SDTAXA(dcc,aa,kk)      = SUM(sddtax
                          $MAPSDTAX(dcc,sddtax),
                          SAMG(sddtax,aa,kk)) ;

 SDTAXH(dcc,"HHOUS",kk) = SUM(sddtax
                          $MAPSDTAX(dcc,sddtax),
                          SAMG(sddtax,"HHOUS",kk)) ;

 SDTAXG(dcc,"GGOVT",kk) = SUM(sddtax
                          $MAPSDTAX(dcc,sddtax),
                          SAMG(sddtax,"GGOVT",kk)) ;

 SDTAXK(dcc,"KKAP",kk) = SUM(sddtax
                          $MAPSDTAX(dcc,sddtax),
                          SAMG(sddtax,"KKAP",kk)) ;


*### ASSIGNING PARAMETERS

 tsma(mcc,aa,kk)$SAMG(mcc,aa,kk)
                               = SMTAXA(mcc,aa,kk)/SAMG(mcc,aa,kk) ;

 tsmh(mcc,"HHOUS",kk)$SAMG(mcc,"HHOUS",kk)
                               = SMTAXH(mcc,"HHOUS",kk)/SAMG(mcc,"HHOUS",kk) ;

 tsmg(mcc,"GGOVT",kk)$SAMG(mcc,"GGOVT",kk)
                               = SMTAXG(mcc,"GGOVT",kk)/SAMG(mcc,"GGOVT",kk) ;

 tsmk(mcc,"KKAP",kk)$SAMG(mcc,"KKAP",kk)
                               = SMTAXK(mcc,"KKAP",kk)/SAMG(mcc,"KKAP",kk) ;

 tsda(dcc,aa,kk)$SAMG(dcc,aa,kk)
                               = SDTAXA(dcc,aa,kk)/SAMG(dcc,aa,kk) ;

 tsdh(dcc,"HHOUS",kk)$SAMG(dcc,"HHOUS",kk)
                               = SDTAXH(dcc,"HHOUS",kk)/SAMG(dcc,"HHOUS",kk) ;

 tsdg(dcc,"GGOVT",kk)$SAMG(dcc,"GGOVT",kk)
                               = SDTAXG(dcc,"GGOVT",kk)/SAMG(dcc,"GGOVT",kk) ;

 tsdk(dcc,"KKAP",kk)$SAMG(dcc,"KKAP",kk)
                               = SDTAXK(dcc,"KKAP",kk)/SAMG(dcc,"KKAP",kk) ;

*DISPLAY tsma ;

 tsmrates(kk,mcc,"mintsma")   = SMIN(aa$tsma(mcc,aa,kk),tsma(mcc,aa,kk)) ;
 tsmrates(kk,mcc,"avtsma")    = SUM(aa,tsma(mcc,aa,kk))/57 ;
 tsmrates(kk,mcc,"maxtsma")   = SMAX(aa,tsma(mcc,aa,kk)) ;
 tsmrates(kk,mcc,"tsmhous")   = tsmh(mcc,"HHOUS",kk) ;
 tsmrates(kk,mcc,"tsmgovt")   = tsmg(mcc,"GGOVT",kk) ;
 tsmrates(kk,mcc,"tsmkap")    = tsmk(mcc,"KKAP",kk) ;


 tsdrates(kk,dcc,"mintsda")   = SMIN(aa$tsda(dcc,aa,kk),tsda(dcc,aa,kk)) ;
 tsdrates(kk,dcc,"avtsda")    = SUM(aa,tsda(dcc,aa,kk))/57 ;
 tsdrates(kk,dcc,"maxtsda")   = SMAX(aa,tsda(dcc,aa,kk)) ;
 tsdrates(kk,dcc,"tsdhous")   = tsdh(dcc,"HHOUS",kk) ;
 tsdrates(kk,dcc,"tsdgovt")   = tsdg(dcc,"GGOVT",kk) ;
 tsdrates(kk,dcc,"tsdkap")    = tsdk(dcc,"KKAP",kk) ;

option tsmrates: 6:1:1 ;
option tsdrates: 6:1:1 ;

IF(DISP2 = 1,

DISPLAY tsmrates, tsdrates ;

  ) ;

* Defining common sales tax rates

 tsmcom(mccts,kk)    = tsmh(mccts,"HHOUS",kk) ;

 tsdcom(dccts,kk)    = tsdh(dccts,"HHOUS",kk) ;


 SMTAXA2(mccts,aa,kk)       = SAMG(mccts,aa,kk) * tsmcom(mccts,kk) ;
 SMTAXH2(mccts,"HHOUS",kk)  = SAMG(mccts,"HHOUS",kk) * tsmcom(mccts,kk) ;
 SMTAXG2(mccts,"GGOVT",kk)  = SAMG(mccts,"GGOVT",kk) * tsmcom(mccts,kk) ;
 SMTAXK2(mccts,"KKAP",kk)   = SAMG(mccts,"KKAP",kk) * tsmcom(mccts,kk) ;

 SDTAXA2(dccts,aa,kk)       = SAMG(dccts,aa,kk) * tsdcom(dccts,kk) ;
 SDTAXH2(dccts,"HHOUS",kk)  = SAMG(dccts,"HHOUS",kk) * tsdcom(dccts,kk) ;
 SDTAXG2(dccts,"GGOVT",kk)  = SAMG(dccts,"GGOVT",kk) * tsdcom(dccts,kk) ;
 SDTAXK2(dccts,"KKAP",kk)   = SAMG(dccts,"KKAP",kk) * tsdcom(dccts,kk) ;

 SMTAXA2(mcctsn,aa,kk)       = SMTAXA(mcctsn,aa,kk) ;
 SMTAXH2(mcctsn,"HHOUS",kk)  = SMTAXH(mcctsn,"HHOUS",kk) ;
 SMTAXG2(mcctsn,"GGOVT",kk)  = SMTAXG(mcctsn,"GGOVT",kk) ;
 SMTAXK2(mcctsn,"KKAP",kk)   = SMTAXK(mcctsn,"KKAP",kk) ;

 SDTAXA2(dcctsn,aa,kk)       = SDTAXA(dcctsn,aa,kk) ;
 SDTAXH2(dcctsn,"HHOUS",kk)  = SDTAXH(dcctsn,"HHOUS",kk) ;
 SDTAXG2(dcctsn,"GGOVT",kk)  = SDTAXG(dcctsn,"GGOVT",kk) ;
 SDTAXK2(dcctsn,"KKAP",kk)   = SDTAXK(dcctsn,"KKAP",kk) ;

*#### Rounding Sales Tax Adjustments to 6 Decimal Places
* The GTAP database only records data to 6 decimal places

 SMTAXA2(mcc,aa,kk)       = ROUND(SMTAXA2(mcc,aa,kk),roundpar) ;
 SMTAXH2(mcc,"HHOUS",kk)  = ROUND(SMTAXH2(mcc,"HHOUS",kk),roundpar) ;
 SMTAXG2(mcc,"GGOVT",kk)  = ROUND(SMTAXG2(mcc,"GGOVT",kk),roundpar) ;
 SMTAXK2(mcc,"KKAP",kk)   = ROUND(SMTAXK2(mcc,"KKAP",kk),roundpar) ;

 SDTAXA2(dcc,aa,kk)       = ROUND(SDTAXA2(dcc,aa,kk),roundpar) ;
 SDTAXH2(dcc,"HHOUS",kk)  = ROUND(SDTAXH2(dcc,"HHOUS",kk),roundpar) ;
 SDTAXG2(dcc,"GGOVT",kk)  = ROUND(SDTAXG2(dcc,"GGOVT",kk),roundpar) ;
 SDTAXK2(dcc,"KKAP",kk)   = ROUND(SDTAXK2(dcc,"KKAP",kk),roundpar) ;

* Calculating input subsidies

 INSUBMA(mccts,aa,kk)       = SMTAXA(mccts,aa,kk) - SMTAXA2(mccts,aa,kk) ;
 INSUBMH(mccts,"HHOUS",kk)  = SMTAXH(mccts,"HHOUS",kk)
                                - SMTAXH2(mccts,"HHOUS",kk) ;
 INSUBMG(mccts,"GGOVT",kk)  = SMTAXG(mccts,"GGOVT",kk)
                                - SMTAXG2(mccts,"GGOVT",kk) ;
 INSUBMK(mccts,"KKAP",kk)   = SMTAXK(mccts,"KKAP",kk)
                                - SMTAXK2(mccts,"KKAP",kk) ;

 INSUBDA(dccts,aa,kk)       = SDTAXA(dccts,aa,kk) - SDTAXA2(dccts,aa,kk) ;
 INSUBDH(dccts,"HHOUS",kk)  = SDTAXH(dccts,"HHOUS",kk)
                                - SDTAXH2(dccts,"HHOUS",kk) ;
 INSUBDG(dccts,"GGOVT",kk)  = SDTAXG(dccts,"GGOVT",kk)
                                - SDTAXG2(dccts,"GGOVT",kk) ;
 INSUBDK(dccts,"KKAP",kk)   = SDTAXK(dccts,"KKAP",kk)
                                - SDTAXK2(dccts,"KKAP",kk) ;

*#### Rounding Sales Tax Adjustments to 6 Decimal Places
* The GTAP database only records data to 6 decimal places

 INSUBMA(mcc,aa,kk)       = ROUND(INSUBMA(mcc,aa,kk),roundpar) ;
 INSUBMH(mcc,"HHOUS",kk)  = ROUND(INSUBMH(mcc,"HHOUS",kk),roundpar) ;
 INSUBMG(mcc,"GGOVT",kk)  = ROUND(INSUBMG(mcc,"GGOVT",kk),roundpar) ;
 INSUBMK(mcc,"KKAP",kk)   = ROUND(INSUBMK(mcc,"KKAP",kk),roundpar) ;

 INSUBDA(dcc,aa,kk)       = ROUND(INSUBDA(dcc,aa,kk),roundpar) ;
 INSUBDH(dcc,"HHOUS",kk)  = ROUND(INSUBDH(dcc,"HHOUS",kk),roundpar) ;
 INSUBDG(dcc,"GGOVT",kk)  = ROUND(INSUBDG(dcc,"GGOVT",kk),roundpar) ;
 INSUBDK(dcc,"KKAP",kk)   = ROUND(INSUBDK(dcc,"KKAP",kk),roundpar) ;

IF(DISP2 = 1,

DISPLAY tsmrates, tsdrates ;

DISPLAY tsmcom, tsdcom ;

DISPLAY INSUBMA, INSUBMH, INSUBMG, INSUBMK,
        INSUBDA, INSUBDH, INSUBDG, INSUBDK ;

   ) ;

*### Mappings for Input subsidy Accounts

 INSUBMA2(smmtax,aa,kk)      = SUM(mcc
                               $MAPINSUBM(smmtax,mcc),
                               INSUBMA(mcc,aa,kk)) ;

 INSUBMH2(smmtax,"HHOUS",kk) = SUM(mcc
                               $MAPINSUBM(smmtax,mcc),
                               INSUBMH(mcc,"HHOUS",kk)) ;

 INSUBMG2(smmtax,"GGOVT",kk) = SUM(mcc
                               $MAPINSUBM(smmtax,mcc),
                               INSUBMG(mcc,"GGOVT",kk)) ;

 INSUBMK2(smmtax,"KKAP",kk)  = SUM(mcc
                               $MAPINSUBM(smmtax,mcc),
                               INSUBMK(mcc,"KKAP",kk)) ;

 INSUBDA2(sddtax,aa,kk)      = SUM(dcc
                               $MAPINSUBD(sddtax,dcc),
                               INSUBDA(dcc,aa,kk)) ;

 INSUBDH2(sddtax,"HHOUS",kk) = SUM(dcc
                               $MAPINSUBD(sddtax,dcc),
                               INSUBDH(dcc,"HHOUS",kk)) ;

 INSUBDG2(sddtax,"GGOVT",kk) = SUM(dcc
                               $MAPINSUBD(sddtax,dcc),
                               INSUBDG(dcc,"GGOVT",kk)) ;

 INSUBDK2(sddtax,"KKAP",kk) = SUM(dcc
                              $MAPINSUBD(sddtax,dcc),
                              INSUBDK(dcc,"KKAP",kk)) ;

IF(DISP2 = 1,

DISPLAY INSUBMA2, INSUBMH2, INSUBMG2, INSUBMK2,
        INSUBDA2, INSUBDH2, INSUBDG2, INSUBDK2 ;

  ) ;

*## Writing out the Sales Tax Rates results to GDX

IF(OUTREP = 1,

Execute_Unload  'glbsam804_v1_SalTaxes.gdx', tsmrates
                                             tsdrates
                                             tsmcom
                                             tsdcom
  ;

   )  ;

*############## 5. A SAM with SIMPLE SALES TAXES #########################

$ontext

This version creates a SAM under the implicit assumption that there are a
series of USE specific input subsidies, but that otherwise a law of
one price holds in the base GTAP data.

It is also assumed that the internal balance for all regions was zero
in the base period.

It retains the artifice of a Regional Household

$offtext

*#### Import commodity income components

* Revaluing imported commodities at purchaser prices

* Import Intermediate Use matrices (1:3)

 SAMG(mcc,aa,kk)           = SAMG(mcc,aa,kk) +  SMTAXA2(mcc,aa,kk) ;

* Household import demand vectors (1:6)

 SAMG(mcc,"HHOUS",kk)      = SAMG(mcc,"HHOUS",kk) +  SMTAXH2(mcc,"HHOUS",kk) ;

* Government import demand vectors (1:13)

 SAMG(mcc,"GGOVT",kk)      = SAMG(mcc,"GGOVT",kk) + SMTAXG2(mcc,"GGOVT",kk) ;

* Investment import demand vectors (1:14)

 SAMG(mcc,"KKAP",kk)       = SAMG(mcc,"KKAP",kk) + SMTAXK2(mcc,"KKAP",kk) ;

*#### Domestic commodity income components

* Revaluing domestic commodities at purchaser prices

* Domestic Intermediate Use matrices (2:3)

 SAMG(dcc,aa,kk)           =  SAMG(dcc,aa,kk) + SDTAXA2(dcc,aa,kk) ;

* Household domestic demand vectors (2:6)

 SAMG(dcc,"HHOUS",kk)      =  SAMG(dcc,"HHOUS",kk) + SDTAXH2(dcc,"HHOUS",kk) ;

* Government domestic demand vectors (2:13)

 SAMG(dcc,"GGOVT",kk)      = SAMG(dcc,"GGOVT",kk) + SDTAXG2(dcc,"GGOVT",kk) ;

* Investment domestic demand vectors (2:14)

 SAMG(dcc,"KKAP",kk)       = SAMG(dcc,"KKAP",kk) + SDTAXK2(dcc,"KKAP",kk) ;

*#### Indirect Tax Receipts for INDTAX(r) in GTAP model

* Imposing the commodity specific input subsidies

*# Imported Commodities

* Intermediate Inputs (8:3)

 SAMG(smmtax,aa,kk)      = INSUBMA2(smmtax,aa,kk) ;

* Household Demand (9:6)

 SAMG(smmtax,"HHOUS",kk) = INSUBMH2(smmtax,"HHOUS",kk) ;

* Government Demand (9:13)

 SAMG(smmtax,"GGovt",kk) = INSUBMG2(smmtax,"GGOVT",kk) ;

* Investment Demand (9:14)

 SAMG(smmtax,"KKAP",kk)  = INSUBMK2(smmtax,"KKAP",kk) ;

*# Domestic Commodities

* Intermediate Inputs (8:3)

 SAMG(sddtax,aa,kk)      = INSUBDA2(sddtax,aa,kk) ;

* Household Demand (8:6)

 SAMG(sddtax,"HHOUS",kk) = INSUBDH2(sddtax,"HHOUS",kk) ;

* Government Demand (8:13)

 SAMG(sddtax,"GGovt",kk) = INSUBDG2(sddtax,"GGOVT",kk) ;

* Investment Demand (8:14)

 SAMG(sddtax,"KKAP",kk) = INSUBDK2(sddtax,"KKAP",kk) ;

* Total Sales Taxes Revenues with common Sales Tax rates

 SAMG("SSALTAX",mcc,kk)  =  SUM(aa,SMTAXA2(mcc,aa,kk))
                            + SMTAXH2(mcc,"HHOUS",kk)
                            + SMTAXG2(mcc,"GGOVT",kk)
                            + SMTAXK2(mcc,"KKAP",kk) ;

* On domestic commodities

 SAMG("SSALTAX",dcc,kk)  =  SUM(aa,SDTAXA2(dcc,aa,kk))
                            + SDTAXH2(dcc,"HHOUS",kk)
                            + SDTAXG2(dcc,"GGOVT",kk)
                            + SDTAXK2(dcc,"KKAP",kk) ;

* Factor Use taxes paid by activities

 SAMG(fftax,aa,kk)  = SAMG(fftax,aa,kk) ;

* Indirect Production taxes to maintain activity account totals

 SAMG("pprodtax",aa,kk)  = SAMG("ttotal",aa,kk)
                           - (SUM(mcc,SAMG(mcc,aa,kk))
                                   + SUM(dcc,SAMG(dcc,aa,kk))
                           + SUM(ff,SAMG(ff,aa,kk))
                                   + SUM(fftax,SAMG(fftax,aa,kk))
                           + SUM(smmtax,SAMG(smmtax,aa,kk))
                                   + SUM(sddtax,SAMG(sddtax,aa,kk)) ) ;

*#### Components of Regional Household Income

* Deleting commodity specific sales taxes

* Domestic Sales taxes (5:8)

 SAMG("rreghous",sddtax,kk)  = 0.0 ;

* Import Sales taxes (5:9)

 SAMG("rreghous",smmtax,kk)  = 0.0 ;

* Adding the input subsidies as NEGATIVE income to Regional Household

* Domestic input subsidies (5:8)

 SAMG("rreghous",sddtax,kk)  =  SUM(aa,INSUBDA2(sddtax,aa,kk))
                                + INSUBDH2(sddtax,"HHOUS",kk)
                                + INSUBDG2(sddtax,"GGOVT",kk)
                                + INSUBDK2(sddtax,"KKAP",kk) ;

* Import input subsidies (5:9)

 SAMG("rreghous",smmtax,kk)  = SUM(aa,INSUBMA2(smmtax,aa,kk))
                               + INSUBMH2(smmtax,"HHOUS",kk)
                               + INSUBMG2(smmtax,"GGOVT",kk)
                               + INSUBMK2(smmtax,"KKAP",kk) ;

* Adding Sales Taxes Revenues with common Sales Tax rates

 SAMG("rreghous","ssaltax",kk)  = SUM(mcc,SAMG("ssaltax",mcc,kk))
                                  + SUM(dcc,SAMG("ssaltax",dcc,kk)) ;

* Production Taxes (5:11)

* Updating Reg House income from production taxes

 SAMG("rreghous","pprodtax",kk)
                         = SUM(aa,SAMG("pprodtax",aa,kk)) ;

* Calculating Total Income of Regional Household

 SAMG("RREGHOUS","TTOTAL",kk)  = SUM(ff,SAMG("rreghous",ff,kk))
                                + SUM(tmmtax,SAMG("rreghous",tmmtax,kk))
                                + SUM(teetax,SAMG("rreghous",teetax,kk))
                                + SUM(smmtax,SAMG("rreghous",smmtax,kk))
                                + SUM(sddtax,SAMG("rreghous",sddtax,kk))
                                + SAMG("rreghous","ssaltax",kk)
                                + SUM(fftax,SAMG("rreghous",fftax,kk))
                                + SAMG("rreghous","pprodtax",kk)
                                + SAMG("rreghous","ddirtax",kk)  ;

*#### Components of Regional Household Expenditure

* Income of Private Households (6:5)
* From expenditure side definitions

 SAMG("hhous","rreghous",kk)  = SUM(mcc,SAMG(mcc,"hhous",kk))
                                   + SUM(smmtax,SAMG(smmtax,"hhous",kk))
                                + SUM(dcc,SAMG(dcc,"hhous",kk))
                                   + SUM(sddtax,SAMG(sddtax,"hhous",kk)) ;

* Income of Government (13:5)
* From expenditure side definitions

 SAMG("GGOVT","RREGHOUS",kk)  = SUM(mcc,SAMG(mcc,"ggovt",kk))
                                   + SUM(smmtax,SAMG(smmtax,"ggovt",kk))
                                + SUM(dcc,SAMG(dcc,"ggovt",kk))
                                   + SUM(sddtax,SAMG(sddtax,"ggovt",kk)) ;

* Domestic Savings (14:5)

 SAMG("KKAP","RREGHOUS",kk)  = SAMG("RREGHOUS","TTOTAL",kk)
                               - SAMG("hhous","rreghous",kk)
                               - SAMG("GGOVT","RREGHOUS",kk) ;

*#### Rounding the Global SAM to 6 Decimal Places
* The GTAP database only records data to 6 decimal places

 SAMG(ss,ssp,kk)      = ROUND(SAMG(ss,ssp,kk),roundpar) ;

*DISPLAY SAMG ;

*############## 6. CHECKING THE NEW GLOBAL SAMG ##########################

* This checking of the SAM is important.

*#### Computing Account totals for Global SAM by Region

 SAMG("TTOTAL",ssnp,kk)        = SUM(ssn,SAMG(ssn,ssnp,kk)) ;

 SAMG(ssn,"TTOTAL",kk)         = SUM(ssnp,SAMG(ssn,ssnp,kk)) ;

Parameter
 COLTOT(*,kk)          Check on region column totals
 ROWTOT(kk,*)          Check on region row totals
 DIFFTOT(*,kk)         Check on difference in region column and row totals
 SUMDIFFTOT(kk)        Sum of differences in region row and column totals
 DIFFPER(*,kk)         Percentage differences in region column and row totals
 ;

 COLTOT(ssnp,kk)    = SUM(ssn,SAMG(ssn,ssnp,kk)) ;
 ROWTOT(kk,ssn)     = SUM(ssnp,SAMG(ssn,ssnp,kk)) ;

 DIFFTOT(ssnp,kk)   = COLTOT(ssnp,kk) - ROWTOT(kk,ssnp) ;

 DIFFTOT(ssnp,kk)   = ROUND(DIFFTOT(ssnp,kk),roundpar ) ;

 SUMDIFFTOT(kk)     = SUM(ssnp,DIFFTOT(ssnp,kk)) ;

 DIFFPER(ssnp,kk)$COLTOT(ssnp,kk)
      = (DIFFTOT(ssnp,kk)/(0.5 * (COLTOT(ssnp,kk) + ROWTOT(kk,ssnp)))) * 100 ;

 DIFFPER(ssnp,kk)   = ROUND(DIFFPER(ssnp,kk),roundpar ) ;

option decimals = 8 ;

DISPLAY COLTOT, ROWTOT, DIFFTOT, DIFFPER, SUMDIFFTOT ;

*## Writing out the CHECK results to GDX

IF(OUTGDXv1 = 1,

Execute_Unload  'glbsam804_v1chk.gdx', COLTOT
                                       ROWTOT
                                       DIFFTOT
                                       DIFFPER
                                       SUMDIFFTOT
  ;
  ) ;
*############## 7. SMD SAM with SIMPLE SALES TAXES #######################

$ontext

This version creates a SAM under the implicit assumption that a law of
one price held in the base GTAP data.

This SAM starts from the NEW Global SAM NOT the GTAPSAM

It is assumed that the internal balance for all regions was zero
in the base period.

$offtext

*#### Components of Regional Household Expenditure

* Income of Private Households (6:5)
* Moving factor incomes to HOUS from REG HOUSE

 SAMG("hhous",ff,kk)          = SAMG("rreghous",ff,kk) ;

 SAMG("rreghous",ss,kk)       = 0.0 ;

 SAMG("rreghous",ff,kk)       = 0.0 ;

 SAMG("hhous","rreghous",kk)  = 0.0 ;

* Income of Government (13:5)
* Moving components of indirect taxes from REG HOUSE to GOVT

 SAMG("ggovt",tmmtax,kk)      = SUM(mcc, SAMG(tmmtax,mcc,kk)) ;

 SAMG("ggovt",teetax,kk)      = SUM(dcc,SAMG(teetax,dcc,kk)) ;

 SAMG("ggovt",smmtax,kk)      = SUM(aa,SAMG(smmtax,aa,kk))
                                + SAMG(smmtax,"hhous",kk)
                                + SAMG(smmtax,"ggovt",kk)
                                + SAMG(smmtax,"kkap",kk) ;

 SAMG("ggovt",sddtax,kk)      = SUM(aa,SAMG(sddtax,aa,kk))
                                + SAMG(sddtax,"hhous",kk)
                                + SAMG(sddtax,"ggovt",kk)
                                + SAMG(sddtax,"kkap",kk) ;

 SAMG("ggovt","ssaltax",kk)   = SUM(mcc,SAMG("ssaltax",mcc,kk))
                               + SUM(dcc,SAMG("ssaltax",dcc,kk)) ;

 SAMG("ggovt",fftax,kk)       = SUM(aa,SAMG(fftax,aa,kk)) ;

 SAMG("ggovt","pprodtax",kk)  = SUM(aa,SAMG("pprodtax",aa,kk)) ;


* Domestic Savings (14:5)
* Defining Savings by HOUS as total investment expenditure LESS
* Depreciation, External balance on margins trade and commodity trade

 SAMG("KKAP","HHOUS",kk)     =  SAMG("ttotal","kkap",kk)
                               - SUM(ff,SAMG("kkap",ff,kk))
                               - SUM(vsttmarg,SAMG("kkap",vsttmarg,kk))
                               - SUM(ww,SAMG("kkap",ww,kk)) ;

* Deleting savings by REG HOUSE

 SAMG("kkap","rreghous",kk)  = 0.0 ;

* Income Tax paid by private household

* Defining HOUSE Income tax as HOUS Income less commodity expenditure and
* Savings by HOUSE

 SAMG("ddirtax","hhous",kk)  = SUM(ff,SAMG("hhous",ff,kk))
                              - SUM(mcc,SAMG(mcc,"hhous",kk))
                                   - SUM(smmtax,SAMG(smmtax,"hhous",kk))
                              - SUM(dcc,SAMG(dcc,"hhous",kk))
                                   - SUM(sddtax,SAMG(sddtax,"hhous",kk))
                              - SAMG("kkap","hhous",kk) ;

 SAMG("ddirtax","hhous",kk)  = SUM(ff,SAMG("hhous",ff,kk))
                              - SUM(mcc,SAMG(mcc,"hhous",kk))
                              - SUM(dcc,SAMG(dcc,"hhous",kk))
                              - SAMG("kkap","hhous",kk) ;

* Completing Govt Income by extending Direct Tax account

 SAMG("ggovt","ddirtax",kk)   = SUM(ff,SAMG("ddirtax",ff,kk))
                               + SAMG("ddirtax","hhous",kk) ;

 SAMG("ggovt","rreghous",kk)  = 0.0 ;

*#### Rounding the Global SAM to 6 Decimal Places
* The GTAP database only records data to 6 decimal places

 SAMG(ss,ssp,kk)      = ROUND(SAMG(ss,ssp,kk),roundpar) ;

*DISPLAY SAMG ;

*############## 8. CHECKING THE SMD GLOBAL SAM ##########################

* This checking of the SAM is important.

*#### Computing Account totals for SAM by Region

 SAMG("TTOTAL",ssnp,kk)        = SUM(ssn,SAMG(ssn,ssnp,kk)) ;

 SAMG(ssn,"TTOTAL",kk)         = SUM(ssnp,SAMG(ssn,ssnp,kk)) ;

Parameter
 COLTOT2(*,kk)          Check on region column totals
 ROWTOT2(kk,*)          Check on region row totals
 DIFFTOT2(*,kk)         Check on difference in region column and row totals
 SUMDIFFTOT2(kk)        Sum of differences in region row and column totals
 DIFFPER2(*,kk)         Percentage differences in region column and row totals
 ;

 COLTOT2(ssnp,kk)    = SUM(ssn,SAMG(ssn,ssnp,kk)) ;
 ROWTOT2(kk,ssn)     = SUM(ssnp,SAMG(ssn,ssnp,kk)) ;

 DIFFTOT2(ssnp,kk)   = COLTOT2(ssnp,kk) - ROWTOT2(kk,ssnp) ;

 DIFFTOT2(ssnp,kk)   = ROUND(DIFFTOT2(ssnp,kk),roundpar ) ;

 SUMDIFFTOT2(kk)     = SUM(ssnp,DIFFTOT2(ssnp,kk)) ;

 DIFFPER2(ssnp,kk)$COLTOT2(ssnp,kk)
                    = (DIFFTOT2(ssnp,kk)
                      /(0.5 * (COLTOT2(ssnp,kk) + ROWTOT2(kk,ssnp)))) * 100 ;

 DIFFPER2(ssnp,kk)   = ROUND(DIFFPER2(ssnp,kk),roundpar ) ;

option decimals = 8 ;

DISPLAY COLTOT2, ROWTOT2, DIFFTOT2, DIFFPER2, SUMDIFFTOT2 ;

*## Writing out the CHECK results to GDX

IF(OUTGDXv2 = 1,

Execute_Unload  'glbsam804_v2chk.gdx', COLTOT2
                                       ROWTOT2
                                       DIFFTOT2
                                       DIFFPER2
                                       SUMDIFFTOT2
   ;
   ) ;

*############## 9. GLOBAL SAM with COMPOSITE COMMODITIES #################

$ontext

This version creates a SAM under the implicit assumption that there are a
series of USE specific input subsidies, but that otherwise a law of
one price holds in the base GTAP data.

This SAM starts from the SMD Global SAM (Version 2) NOT the GTAPSAM

It is assumed that the internal balance for all regions was zero
in the base period.

The imported and domestic commodity accounts are aggregated to follow a
composite commodity type model - see McDonald, Robinson & Thierfelder (2004)
for an example of this type of representation.

$offtext

*#### Commodity Account Aggregation

PARAMETER

 INTIMP2(cc,aa,kk)         Intermediate imports commodities
 PRIIMP2(cc,*,kk)          Private final demand imports commodities
 GOVIMP2(cc,*,kk)          Government final demand imports commodities
 INVIMP2(cc,*,kk)          Investment final demand imports commodities

 INTDOM2(cc,aa,kk)         Intermediate domestic commodities
 PRIDOM2(cc,*,kk)          Private final demand domestic commodities
 GOVDOM2(cc,*,kk)          Government final demand domestic commodities
 INVDOM2(cc,*,kk)          Investment final demand domestic commodities

 EXMARG2(cc,vsttmarg,kk)   Exported margin commodities

 EXPCOM2(cc,ww,kk)         Exported commodities

 MAKCOM2(aa,cc,kk)         Make matrix

 IMPDUT2(tmmtax,cc,kk)     Import duties

 EXPTAX2(teetax,cc,kk)     Export tax revenues

 TAXSALM2(*,cc,kk)         Import Sales taxes
 TAXSALD2(*,cc,kk)         Domestic Sales taxes

 MARGOPT2(otppmarg,cc,kk)  OTP import margins
 MARGWPT2(wtppmarg,cc,kk)  WTP import margins
 MARGAPT2(atppmarg,cc,kk)  ATP import margins

 IMPCOM2(ww,cc,kk)         Imported commodities

 INSUBMA3(sstax,aa,kk)     Input subsidies for imported input subsidy commods
 INSUBMH3(sstax,*,kk)      Input subsidies for imported input subsidy commods
 INSUBMG3(sstax,*,kk)      Input subsidies for imported input subsidy commods
 INSUBMK3(sstax,*,kk)      Input subsidies for imported input subsidy commods

 INSUBDA3(sstax,aa,kk)     Input subsidies for domestic input subsidy commods
 INSUBDH3(sstax,*,kk)      Input subsidies for domestic input subsidy commods
 INSUBDG3(sstax,*,kk)      Input subsidies for domestic input subsidy commods
 INSUBDK3(sstax,*,kk)      Input subsidies for domestic input subsidy commods

   ;


* Assigning transition parameters

 INTIMP2(cc,aa,kk)       = SUM(mcc
                           $MAPSIMPCOM(cc,mcc),
                           SAMG(mcc,aa,kk)) ;

 PRIIMP2(cc,"hhous",kk)  = SUM(mcc
                           $MAPSIMPCOM(cc,mcc),
                           SAMG(mcc,"hhous",kk)) ;

 GOVIMP2(cc,"ggovt",kk)  = SUM(mcc
                           $MAPSIMPCOM(cc,mcc),
                           SAMG(mcc,"ggovt",kk)) ;

 INVIMP2(cc,"kkap",kk)   = SUM(mcc
                           $MAPSIMPCOM(cc,mcc),
                           SAMG(mcc,"kkap",kk)) ;

 INTDOM2(cc,aa,kk)       = SUM(dcc
                           $MAPSDOMCOM(cc,dcc),
                           SAMG(dcc,aa,kk)) ;

 PRIDOM2(cc,"hhous",kk)  = SUM(dcc
                           $MAPSDOMCOM(cc,dcc),
                           SAMG(dcc,"hhous",kk)) ;

 GOVDOM2(cc,"ggovt",kk)  = SUM(dcc
                           $MAPSDOMCOM(cc,dcc),
                           SAMG(dcc,"ggovt",kk)) ;

 INVDOM2(cc,"kkap",kk)   = SUM(dcc
                           $MAPSDOMCOM(cc,dcc),
                           SAMG(dcc,"kkap",kk)) ;

 EXMARG2(cc,vsttmarg,kk) = SUM(dcc
                           $MAPSDOMCOM(cc,dcc),
                           SAMG(dcc,vsttmarg,kk)) ;

 EXPCOM2(cc,ww,kk)       = SUM(dcc
                           $MAPSDOMCOM(cc,dcc),
                           SAMG(dcc,ww,kk)) ;

 MAKCOM2(aa,cc,kk)       = SUM(dcc
                            $MAPSDOMCOM(cc,dcc),
                            SAMG(aa,dcc,kk)) ;

 IMPDUT2(tmmtax,cc,kk)   = SUM(mcc
                            $MAPSIMPCOM(cc,mcc),
                            SAMG(tmmtax,mcc,kk)) ;

 EXPTAX2(teetax,cc,kk)   = SUM(dcc
                            $MAPSDOMCOM(cc,dcc),
                            SAMG(teetax,dcc,kk)) ;

 TAXSALM2("ssaltax",cc,kk) = SUM(mcc
                            $MAPSIMPCOM(cc,mcc),
                            SAMG("ssaltax",mcc,kk)) ;

 TAXSALD2("ssaltax",cc,kk) = SUM(dcc
                             $MAPSDOMCOM(cc,dcc),
                             SAMG("ssaltax",dcc,kk)) ;

 MARGOPT2(otppmarg,cc,kk) = SUM(mcc
                            $MAPSIMPCOM(cc,mcc),
                            SAMG(otppmarg,mcc,kk)) ;

 MARGWPT2(wtppmarg,cc,kk) = SUM(mcc
                            $MAPSIMPCOM(cc,mcc),
                            SAMG(wtppmarg,mcc,kk)) ;

 MARGAPT2(atppmarg,cc,kk) = SUM(mcc
                            $MAPSIMPCOM(cc,mcc),
                            SAMG(atppmarg,mcc,kk)) ;

 IMPCOM2(ww,cc,kk)        = SUM(mcc
                            $MAPSIMPCOM(cc,mcc),
                            SAMG(ww,mcc,kk)) ;

 INSUBMA3(sstax,aa,kk)    = SUM(smmtax
                            $MAPSTAXSM(sstax,smmtax),
                            SAMG(smmtax,aa,kk)) ;

 INSUBMH3(sstax,"HHOUS",kk)
                          = SUM(smmtax
                            $MAPSTAXSM(sstax,smmtax),
                            SAMG(smmtax,"HHOUS",kk)) ;

 INSUBMG3(sstax,"GGOVT",kk)
                          = SUM(smmtax
                            $MAPSTAXSM(sstax,smmtax),
                            SAMG(smmtax,"GGOVT",kk)) ;

 INSUBMK3(sstax,"KKAP",kk)
                         = SUM(smmtax
                            $MAPSTAXSM(sstax,smmtax),
                            SAMG(smmtax,"KKAP",kk)) ;

 INSUBDA3(sstax,aa,kk)    = SUM(sddtax
                            $MAPSTAXSD(sstax,sddtax),
                            SAMG(sddtax,aa,kk)) ;

 INSUBDH3(sstax,"HHOUS",kk)
                          = SUM(sddtax
                            $MAPSTAXSD(sstax,sddtax),
                            SAMG(sddtax,"HHOUS",kk)) ;

 INSUBDG3(sstax,"GGOVT",kk)
                          = SUM(sddtax
                            $MAPSTAXSD(sstax,sddtax),
                            SAMG(sddtax,"GGOVT",kk)) ;

 INSUBDK3(sstax,"KKAP",kk)
                         = SUM(sddtax
                            $MAPSTAXSD(sstax,sddtax),
                            SAMG(sddtax,"KKAP",kk)) ;

*### Commodity demand aggregation

* Intermediate input demand

 SAMG(cc,aa,kk)         = INTIMP2(cc,aa,kk) +  INTDOM2(cc,aa,kk) ;

 SAMG(mcc,aa,kk)        = 0.0 ;
 SAMG(dcc,aa,kk)        = 0.0 ;

* Household Consumption Demand

 SAMG(cc,"hhous",kk)    = PRIIMP2(cc,"hhous",kk) + PRIDOM2(cc,"hhous",kk) ;

 SAMG(mcc,"hhous",kk)   = 0.0 ;
 SAMG(dcc,"hhous",kk)   = 0.0 ;

* Government Consumption Demand

 SAMG(cc,"ggovt",kk)    = GOVIMP2(cc,"ggovt",kk) + GOVDOM2(cc,"ggovt",kk) ;

 SAMG(mcc,"ggovt",kk)   = 0.0 ;
 SAMG(dcc,"ggovt",kk)   = 0.0 ;

* Investment Consumption Demand

 SAMG(cc,"kkap",kk)     = INVIMP2(cc,"kkap",kk) +  INVDOM2(cc,"kkap",kk) ;

 SAMG(mcc,"kkap",kk)    = 0.0 ;
 SAMG(dcc,"kkap",kk)    = 0.0 ;

* Exports of Margin Services

 SAMG(cc,vsttmarg,kk)   = EXMARG2(cc,vsttmarg,kk) ;

 SAMG(mcc,vsttmarg,kk)  = 0.0 ;
 SAMG(dcc,vsttmarg,kk)  = 0.0 ;

* Commodity Exports (fob)

 SAMG(cc,ww,kk)         = EXPCOM2(cc,ww,kk) ;

 SAMG(mcc,ww,kk)        = 0.0 ;
 SAMG(dcc,ww,kk)        = 0.0 ;

*### Commodity Supply accounts

* Aggregate Supply Matrix

 SAMG(aa,cc,kk)         = MAKCOM2(aa,cc,kk) ;

 SAMG(aa,dcc,kk)        = 0.0 ;

* Import Duties

 SAMG(tmmtax,cc,kk)     = IMPDUT2(tmmtax,cc,kk) ;

 SAMG(tmmtax,mcc,kk)    = 0.0 ;

* Export Taxes

 SAMG(teetax,cc,kk)     =  EXPTAX2(teetax,cc,kk) ;

 SAMG(teetax,dcc,kk)    = 0.0 ;

* Sales Taxes

 SAMG("ssaltax",cc,kk)  = TAXSALM2("ssaltax",cc,kk) + TAXSALD2("ssaltax",cc,kk) ;

 SAMG("ssaltax",mcc,kk) = 0.0 ;
 SAMG("ssaltax",dcc,kk) = 0.0 ;

* Imports of MArgin Services

 SAMG(otppmarg,cc,kk)   = MARGOPT2(otppmarg,cc,kk) ;
 SAMG(wtppmarg,cc,kk)   = MARGWPT2(wtppmarg,cc,kk) ;
 SAMG(atppmarg,cc,kk)   = MARGAPT2(atppmarg,cc,kk) ;

 SAMG(otppmarg,mcc,kk)  = 0.0 ;
 SAMG(wtppmarg,mcc,kk)  = 0.0 ;
 SAMG(atppmarg,mcc,kk)  = 0.0 ;

* Commodity Imports

 SAMG(ww,cc,kk)         = IMPCOM2(ww,cc,kk) ;

 SAMG(ww,mcc,kk)        = 0.0 ;

* Input Subsidy Accounts

 SAMG(sstax,aa,kk)          = INSUBMA3(sstax,aa,kk) + INSUBDA3(sstax,aa,kk) ;

 SAMG(smmtax,aa,kk)         = 0.0 ;

 SAMG(sddtax,aa,kk)         = 0.0 ;

 SAMG(sstax,"HHOUS",kk)     = INSUBMH3(sstax,"HHOUS",kk)
                              + INSUBDH3(sstax,"HHOUS",kk) ;

 SAMG(smmtax,"HHOUS",kk)    = 0.0 ;

 SAMG(sddtax,"HHOUS",kk)    = 0.0 ;

 SAMG(sstax,"GGOVT",kk)     = INSUBMG3(sstax,"GGOVT",kk)
                              + INSUBDG3(sstax,"GGOVT",kk) ;

 SAMG(smmtax,"GGovt",kk)    = 0.0 ;

 SAMG(sddtax,"GGovt",kk)    = 0.0 ;

 SAMG(sstax,"KKAP",kk)      = INSUBMK3(sstax,"KKAP",kk)
                              + INSUBDK3(sstax,"KKAP",kk) ;

 SAMG(smmtax,"KKAP",kk)     = 0.0 ;

 SAMG(sddtax,"KKAP",kk)     = 0.0 ;

* Combined Sales Tax Accounts

 SAMG("GGOVT",sstax,kk)     = SUM(aa,SAMG(sstax,aa,kk))
                              + SAMG(sstax,"HHOUS",kk)
                              + SAMG(sstax,"GGOVT",kk)
                              + SAMG(sstax,"KKAP",kk) ;

 SAMG("ggovt",smmtax,kk)    = 0.0 ;

 SAMG("ggovt",sddtax,kk)    = 0.0 ;

* Clearing all imported and domestic commodity accounts

 SAMG(mcc,ss,kk)            = 0.0 ;
 SAMG(dcc,ss,kk)            = 0.0 ;
 SAMG(ss,mcc,kk)            = 0.0 ;
 SAMG(ss,dcc,kk)            = 0.0 ;

*#### Rounding the Global SAM to 6 Decimal Places
* The GTAP database only records data to 6 decimal places

 SAMG(ss,ssp,kk)      = ROUND(SAMG(ss,ssp,kk),roundpar) ;

*DISPLAY SAMG ;

* ### Relabelling additional data parameters where necessary

Parameter
* GTAP Elasticities
 ESUBD2(cc)          Armington CES for domestic_imported allocation
 ESUBM2(cc)          Armington CES for regional allocation of imports

* GTAP Energy Volumes
 EVolF2(cc,aa,kk)    volume of input purchases by firms (Mtoe)
 EVolH2(cc,kk)       volume of purchases by households (Mtoe)
 EVolT2(cc,kk,ww)    volume of bilateral trade (Mtoe)

* Activity based
 OutSubs2(cc,kk)         Ordinary Output Subsidies

* Intermediate Input based
 IntInSubsM2(cc,aa,kk)  Imported intermediate input subsidies
 IntInSubsD2(cc,aa,kk)  Domestic intermediate input subsidies

* Export based
 MFASubs2(cc,ww,kk)     MFA Export Subsidy Equivalents
 OrdXSub2(cc,ww,kk)     Ordinary Export subsidies

* Import based
 OrdMDuty2(ww,cc,kk)    Ordinary Import duties

  ;

* GTAP Elasticities
 ESUBD2(cc)        = SUM(mcc
                         $MAPSIMPCOM(cc,mcc),
                          ESUBD(mcc)) ;

 ESUBM2(cc)        = SUM(mcc
                         $MAPSIMPCOM(cc,mcc),
                          ESUBM(mcc)) ;

$ontext
* GTAP Energy Volumes
 EVolF2(cc,aa,kk)  = SUM(en$mapcc_en(cc,en),
                           EVolF(en,aa,kk)) ;

 EVolH2(cc,kk)     = SUM(en$mapcc_en(cc,en),
                           EVolH(en,kk)) ;

 EVolT2(cc,kk,ww)  = SUM((en,kkp)$(mapcc_en(cc,en)
                          $maptrad(ww,kkp)),
                           EVolT(en,kk,kkp)) ;

* ### Relabelling times Series trade data

Parameter
* GTAP Time Series Trade data

 TSTRAD2(cc,kk,ww,tt) Time series of trade flows between regions

  ;

 TSTRAD2(cc,kk,ww,tt)  = SUM(dcc$MAPSDOMCOM(cc,dcc),TSTRAD(dcc,kk,ww,tt)) ;

$offtext

* Activity based
 OutSubs2(cc,kk)        = SUM(dcc
                          $MAPSDOMCOM(cc,dcc),OutSubs(dcc,kk)) ;

* Intermediate Input based
 IntInSubsM2(cc,aa,kk)  =  SUM(mcc
                         $MAPSIMPCOM(cc,mcc),IntInSubsM(mcc,aa,kk)) ;

 IntInSubsD2(cc,aa,kk)  = SUM(dcc
                          $MAPSDOMCOM(cc,dcc),IntInSubsD(dcc,aa,kk)) ;

* Export based
 MFASubs2(cc,ww,kk)     = SUM(dcc
                          $MAPSDOMCOM(cc,dcc),MFASubs(dcc,ww,kk)) ;

 OrdXSub2(cc,ww,kk)     = SUM(dcc
                          $MAPSDOMCOM(cc,dcc),OrdXSub(dcc,ww,kk)) ;

* Import based
 OrdMDuty2(ww,cc,kk)    = SUM(mcc
                           $MAPSIMPCOM(cc,mcc),OrdMDuty(ww,mcc,kk)) ;


*############## 1O. CHECKING THE GLOBAL SAM ##############################

* This checking of the SAM is important.

*#### Computing Account totals for SAM by Region

 SAMG("TTOTAL",ssnp,kk)        = SUM(ssn,SAMG(ssn,ssnp,kk)) ;

 SAMG(ssn,"TTOTAL",kk)         = SUM(ssnp,SAMG(ssn,ssnp,kk)) ;

Parameter
 COLTOT3(*,kk)          Check on region column totals
 ROWTOT3(kk,*)          Check on region row totals
 DIFFTOT3(*,kk)         Check on difference in region column and row totals
 SUMDIFFTOT3(kk)        Sum of differences in region row and column totals
 DIFFPER3(*,kk)         Percentage differences in region column and row totals
 ;

 COLTOT3(ssnp,kk)    = SUM(ssn,SAMG(ssn,ssnp,kk)) ;
 ROWTOT3(kk,ssn)     = SUM(ssnp,SAMG(ssn,ssnp,kk)) ;

 DIFFTOT3(ssnp,kk)   = COLTOT3(ssnp,kk) - ROWTOT3(kk,ssnp) ;

 DIFFTOT3(ssnp,kk)   = ROUND(DIFFTOT3(ssnp,kk),roundpar ) ;

 SUMDIFFTOT3(kk)     = SUM(ssnp,DIFFTOT3(ssnp,kk)) ;

 DIFFPER3(ssnp,kk)$COLTOT3(ssnp,kk)
                    = (DIFFTOT3(ssnp,kk)
                      /(0.5 * (COLTOT3(ssnp,kk) + ROWTOT3(kk,ssnp)))) * 100 ;

 DIFFPER3(ssnp,kk)   = ROUND(DIFFPER3(ssnp,kk),roundpar ) ;

option decimals = 8 ;

DISPLAY COLTOT3, ROWTOT3, DIFFTOT3, DIFFPER3 ;

*## Writing out the CHECK results to GDX

IF(OUTGDXv3 = 1,

Execute_Unload  'glbsam804_v3chk.gdx', COLTOT3
                                       ROWTOT3
                                       DIFFTOT3
                                       DIFFPER3
                                       SUMDIFFTOT3
    ;
    ) ;

*############## 11. CREATING A GLOBE SAMg ################################

*$ontext

 PARAMETERS

 SAMGg(SS,SSP,KK)    Social accounting matrices for regions k using GLOBE

;

*###### Creating a version of the GTAP SAM with margin exports to GLOBE

 SAMGg(ss,ssp,kk)   = SAMG(ss,ssp,kk) ;

* Making sure there are no entries in GLOBE's SAM

 SAMGg(ss,ssp,"glo")  = 0.0 ;

*### Imports of Margins by GLOBE

* Setting margin exports to GLOBE

 SAMGg(cc,"wwglo",kk)    = SUM(vsttmarg,SAMGg(cc,vsttmarg,kk)) ;

 SAMGg(cc,vsttmarg,kk)   = 0.0 ;

* Imports of Margins by GLOBE

 SAMGg(ww,cc,"glo")      =SUM(kk
                           $MAPTRAD(ww,kk),
                            SAMGg(cc,"wwglo",kk)) ;

Parameter

 margchk1(cc)      Margins check for margin imports by GLOBE

 ;


 margchk1(cc)   = SUM(kk,SAMGg(cc,"wwglo",kk)) - SUM(ww,SAMGg(ww,cc,"glo")) ;

DISPLAY  margchk1 ;

*### Exports of Margins by GLOBE

* Margin imports by Region

Parameter

 margimps(cc,kk)    Margin imports of type cc by region kk

  ;

 margimps("ccotp",kk)  = SUM((otppmarg,cc),SAMGg(otppmarg,cc,kk)) ;
 margimps("ccwtp",kk)  = SUM((wtppmarg,cc),SAMGg(wtppmarg,cc,kk)) ;
 margimps("ccatp",kk)  = SUM((atppmarg,cc),SAMGg(atppmarg,cc,kk)) ;

DISPLAY margimps ;

* Margin Exports by GLOBE

 SAMGg(cc,ww,"glo")    = SUM(kk
                        $MAPTRAD(ww,kk),
                        margimps(cc,kk)) ;

Parameter

 margchk2(cc)      Margins check for margin exports by GLOBE

 ;

 margchk2(cc)   = SUM((otppmarg,kk),SAMGg(otppmarg,cc,kk))
                    + SUM((wtppmarg,kk),SAMGg(wtppmarg,cc,kk))
                    + SUM((atppmarg,kk),SAMGg(atppmarg,cc,kk))
                    - SUM(ww,SAMGg(cc,ww,"glo")) ;

DISPLAY  margchk2 ;

*### Calculating trade balances with GLOBE

* Clearing out trade balances wrt VSTTMARG

 SAMGg(ss,VSTTMARG,kk)   = 0.0 ;
 SAMGg(VSTTMARG,ss,kk)   = 0.0 ;

* Calculating the import demand for each margin import

 SAMGg("wwglo",otppmarg,kk)  = SUM(cc,SAMGg(otppmarg,cc,kk)) ;
 SAMGg("wwglo",wtppmarg,kk)  = SUM(cc,SAMGg(wtppmarg,cc,kk)) ;
 SAMGg("wwglo",atppmarg,kk)  = SUM(cc,SAMGg(atppmarg,cc,kk)) ;

* Calculating trade balance for each region with the GLOBE

 SAMGg("kkap","wwglo",kk)   =  SUM(otppmarg,SAMGg("wwglo",otppmarg,kk))
                              + SUM(wtppmarg,SAMGg("wwglo",wtppmarg,kk))
                              + SUM(atppmarg,SAMGg("wwglo",atppmarg,kk))
                                 - SUM(cc,SAMGg(cc,"wwglo",kk)) ;

* Calculating GLOBE's trade balance with each region

 SAMGg("kkap",ww,"glo")     = SUM(cc,SAMGg(ww,cc,"glo"))
                             - SUM(ccp,SAMGg(ccp,ww,"glo")) ;

*############## 12. CHECKING THE GLOBE SAMGg ############################

* This checking of the SAM is important.

*#### Computing Account totals for Global SAM by Region

 SAMGg("TTOTAL",ssnp,kk)        = SUM(ssn,SAMGg(ssn,ssnp,kk)) ;

 SAMGg(ssn,"TTOTAL",kk)         = SUM(ssnp,SAMGg(ssn,ssnp,kk)) ;

Parameter
 COLTOT3g(*,kk)       Check on region column totals
 ROWTOT3g(kk,*)       Check on region row totals
 DIFFTOT3g(*,kk)      Check on difference in region column and row totals
 SUMDIFFTOT3g(kk)     Sum of differences in region row and column totals
 DIFFPER3g(*,kk)      Percent differences in region column and row totals
 ;

 COLTOT3g(ssnp,kk)    = SUM(ssn,SAMGg(ssn,ssnp,kk)) ;
 ROWTOT3g(kk,ssn)     = SUM(ssnp,SAMGg(ssn,ssnp,kk)) ;

 DIFFTOT3g(ssnp,kk)   = COLTOT3g(ssnp,kk) - ROWTOT3g(kk,ssnp) ;

 DIFFTOT3g(ssnp,kk)   = ROUND(DIFFTOT3g(ssnp,kk),roundpar ) ;

 SUMDIFFTOT3g(kk)     = SUM(ssnp,DIFFTOT3g(ssnp,kk)) ;

 DIFFPER3g(ssnp,kk)$COLTOT3g(ssnp,kk)
      = (DIFFTOT3g(ssnp,kk)/(0.5 * (COLTOT3g(ssnp,kk)
                                    + ROWTOT3g(kk,ssnp)))) * 100 ;

 DIFFPER3g(ssnp,kk)   = ROUND(DIFFPER3g(ssnp,kk),roundpar ) ;

option decimals = 8 ;

DISPLAY COLTOT3g, ROWTOT3g, DIFFTOT3g, DIFFPER3g, SUMDIFFTOT3g ;


*## Writing out the CHECK results to GDX

IF(OUTGDXv3g = 1,

Execute_Unload  'glbsam804_v3g_chk.gdx', COLTOT3g
                                         ROWTOT3g
                                         DIFFTOT3g
                                         DIFFPER3g
                                         SUMDIFFTOT3g
  ;

*############## 13. WRITING THE GLOBE SAM and DATA TO GDX ################

*## Writing out the GTAP NEW SAM to GDX

* This writes all the SAM data to GDX
Execute_Unload  'glbsam804_glb1.gdx', SAMGg
* GTAP Elasticity Values
                                      ESUBVA,
                                      ESUBD2,
                                      ESUBM2,

* GTAP Energy Volumes
                                      EVolF2,
                                      EVolH2,
                                      EVolT2,
* Factor based
                                      FacSubs,
                                      FacEmpTax,
* Activity based
                                      OutSubs2,
* Intermediate Input based
                                      IntInSubsM2,
                                      IntInSubsD2,
* Export based
                                      MFASubs2,
                                      OrdXSub2,
* Import based
                                      OrdMDuty2

* GTAP Time series trade data
*                                      TSTRAD2

  ;

   )  ;

*########################### THE END ########################
